Bug 261742 - [exp-run] Against llvm-14-update branch on GitHub
Summary: [exp-run] Against llvm-14-update branch on GitHub
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on: 261930 261932 261949 261976 262598 262634 262814 262845 263071 263176 263179
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-06 11:03 UTC by Dimitry Andric
Modified: 2022-05-14 12:00 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2022-02-06 11:03:32 UTC
I am importing llvm, clang, compiler-rt, libc++, libunwind, lld, lldb, and openmp 14.0.0 into <https://github.com/DimitryAndric/freebsd-src/tree/llvm-14-update>, which is a fork of <https://github.com/freebsd/freebsd-src>.

Please perform an exp-run against this branch. To retrieve it, use:

git clone -b llvm-14-update https://github.com/DimitryAndric/freebsd-src.git

As of 2022-02-06, this branch contains the equivalent of llvm-project's 14.0.0 ~rc1, and it has been rebased onto main-n252975-b2dfb50f3f38.
Comment 1 Antoine Brodin freebsd_committer 2022-02-06 20:29:08 UTC
Buildworld fails:

--- llvm-profdata.full ---
c++ -target x86_64-unknown-freebsd14.0 --sysroot=/usr/obj/poudriere/jails/mainamd64PR261742/usr/src/amd64.amd64/tmp -B/usr/obj/poudriere/jails/mainamd64PR261742/usr/src/amd64.amd64/tmp/usr/bin -O2 -pipe -fno-common -I/usr/obj/poudriere/j
ails/mainamd64PR261742/usr/src/amd64.amd64/lib/clang/libllvm -I/poudriere/jails/mainamd64PR261742/usr/src/lib/clang/include -I/poudriere/jails/mainamd64PR261742/usr/src/contrib/llvm-project/llvm/include -D__STDC_CONSTANT_MACROS -D__STDC_
FORMAT_MACROS -D__STDC_LIMIT_MACROS -DHAVE_VCS_VERSION_INC -DLLVM_DEFAULT_TARGET_TRIPLE=\"x86_64-unknown-freebsd14.0\" -DLLVM_HOST_TRIPLE=\"x86_64-unknown-freebsd14.0\" -DDEFAULT_SYSROOT=\"\" -DLLVM_TARGET_ENABLE_AARCH64 -DLLVM_TARGET_EN
ABLE_ARM -DLLVM_TARGET_ENABLE_POWERPC -DLLVM_TARGET_ENABLE_RISCV -DLLVM_TARGET_ENABLE_X86 -DLLVM_NATIVE_ASMPARSER=LLVMInitializeX86AsmParser -DLLVM_NATIVE_ASMPRINTER=LLVMInitializeX86AsmPrinter -DLLVM_NATIVE_DISASSEMBLER=LLVMInitializeX8
6Disassembler -DLLVM_NATIVE_TARGET=LLVMInitializeX86Target -DLLVM_NATIVE_TARGETINFO=LLVMInitializeX86TargetInfo -DLLVM_NATIVE_TARGETMC=LLVMInitializeX86TargetMC -ffunction-sections -fdata-sections -gline-tables-only -Wno-format-zero-leng
th -fstack-protector-strong -Wno-empty-body -Wno-string-plus-int -Wno-unused-const-variable -Wno-error=unused-but-set-variable -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-enum-conversio
n -Wno-unused-local-typedef -Wno-address-of-packed-member -Wno-switch -Wno-switch-enum -Wno-knr-promoted-parameter -Wno-parentheses -Qunused-arguments -fno-exceptions -fno-rtti -std=c++14 -stdlib=libc++ -Wno-c++11-extensions  -Wl,--gc-se
ctions   -o llvm-profdata.full  llvm-profdata.o /usr/obj/poudriere/jails/mainamd64PR261742/usr/src/amd64.amd64/lib/clang/libllvm/libllvm.a  -lz  -lexecinfo  -ltinfow  -lpthread
ld: error: undefined symbol: llvm::memprof::RawMemProfReader::create(llvm::Twine const&)
>>> referenced by llvm-profdata.cpp:2484 (/poudriere/jails/mainamd64PR261742/usr/src/contrib/llvm-project/llvm/tools/llvm-profdata/llvm-profdata.cpp:2484)
>>>               llvm-profdata.o:(show_main(int, char const**))

ld: error: undefined symbol: llvm::memprof::RawMemProfReader::printSummaries(llvm::raw_ostream&) const
>>> referenced by llvm-profdata.cpp:2490 (/poudriere/jails/mainamd64PR261742/usr/src/contrib/llvm-project/llvm/tools/llvm-profdata/llvm-profdata.cpp:2490)
>>>               llvm-profdata.o:(show_main(int, char const**))
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** [llvm-profdata.full] Error code 1
Comment 2 Dimitry Andric freebsd_committer 2022-02-07 11:10:20 UTC
(In reply to Antoine Brodin from comment #1)
Apologies, please retry after https://github.com/DimitryAndric/freebsd-src/commit/d3f9b3af2da2f6c1e6c6e9f39e3935dc5b1f6355, which should fix this!
Comment 3 Antoine Brodin freebsd_committer 2022-02-07 13:41:07 UTC
Exp-run fails to start because databases/postgresql*-server do strange things:

[00:00:08] Warning: (databases/postgresql12-server): Error: databases/postgresql12-server depends on nonexistent origin 'devel/llvm14' (moved to ); Please contact maintainer of the port to fix this.
[00:00:08] Warning: (databases/postgresql13-server): Error: databases/postgresql13-server depends on nonexistent origin 'devel/llvm14' (moved to ); Please contact maintainer of the port to fix this.
[00:00:08] Warning: (databases/postgresql11-server): Error: databases/postgresql11-server depends on nonexistent origin 'devel/llvm14' (moved to ); Please contact maintainer of the port to fix this.
[00:00:08] Warning: (databases/postgresql14-server): Error: databases/postgresql14-server depends on nonexistent origin 'devel/llvm14' (moved to ); Please contact maintainer of the port to fix this.

I will disable LLVM option in these ports and try again
Comment 4 Dimitry Andric freebsd_committer 2022-02-07 13:49:19 UTC
(In reply to Antoine Brodin from comment #3)
Hmm I've seen this one too, I thought it was some bug in the postgresql ports? But apparently they're doing some sort of detection of the base llvm version, and something is going wrong there... :)
Comment 5 Antoine Brodin freebsd_committer 2022-02-11 09:04:32 UTC
New failure logs on amd64:

http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/audacity-3.1.3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/mumble-1.3.3_4.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/murmur-1.3.3_2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/horizon-eda-2.2.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/libredwg-0.12.4.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/wkhtmltopdf-0.12.6.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/creduce-2.10.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/electron13-13.6.9.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/flang-clang-7.0.g20191020.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/heimdall-1.4.2_5.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/simdjson-0.9.6.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/imhex-1.14.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/vultures-eye-2.3.67_3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/drm-current-kmod-5.4.144.g20220128.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/drm-devel-kmod-5.7.19.g20220202.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/dspdfviewer-1.15.1_48.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/libavif-0.9.3_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/pcl-pointclouds-1.12.1_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/openjdk13-13.0.10+5.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/openjdk17-17.0.2+8.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/openjdk17-jre-17.0.2+8.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/powerpc-rust-bootstrap-1.58.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/thunderbird-91.6.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/libpgmath-g20191020_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/octave-forge-interval-3.2.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/toxext-0.0.3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/afl-2.52_4.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/intel-ipsec-mb-1.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/dtc-1.6.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/firefox-97.0_3,2.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/firefox-esr-91.6.0_1,1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/h2o-devel-2.3.0.d.20220208.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-02-09_17h12m03s/logs/errors/qt5-webengine-5.15.2_5.log
Comment 6 Antoine Brodin freebsd_committer 2022-02-11 09:05:20 UTC
The failures causing the most skipped are:

www/qt5-webengine : 105 skipped
sysutils/dtc : 67 skipped
Comment 7 Dimitry Andric freebsd_committer 2022-02-13 14:03:36 UTC
Added bug 261930 for sysutils/dtc.
Comment 8 Dimitry Andric freebsd_committer 2022-02-13 14:15:50 UTC
Added bug 261932 for devel/creduce.
Comment 9 Antoine Brodin freebsd_committer 2022-02-13 20:20:31 UTC
New failure logs on i386:

http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/audacity-3.1.3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/mumble-1.3.3_4.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/murmur-1.3.3_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/horizon-eda-2.2.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/libredwg-0.12.4.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/firebird25-client-2.5.9_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/postgresql11-server-11.15.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/postgresql12-server-12.10.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/postgresql13-server-13.6.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/postgresql14-server-14.2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/creduce-2.10.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/electron13-13.6.9.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/heimdall-1.4.2_5.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php74-pecl-ds-1.4.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php81-pecl-ds-1.4.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php80-pecl-ds-1.4.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/apache-spark-2.1.1_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/virtualbox-ose-legacy-5.2.44_9.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/virtualbox-ose-nox11-legacy-5.2.44_9.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/vultures-eye-2.3.67_3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/drm-current-kmod-5.4.144.g20220128.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/drm-devel-kmod-5.7.19.g20220202.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/dspdfviewer-1.15.1_48.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/lazpaint-qt5-7.1.6_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/lazpaint-gtk2-7.1.6_2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/libavif-0.9.3_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/openjdk13-13.0.10+5.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/thunderbird-91.6.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/toxext-0.0.3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/afl-2.52_4.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/dtc-1.6.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/firefox-97.0_3,2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/firefox-esr-91.6.0_1,1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php74-phalcon-5.0.0.b2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php80-phalcon-5.0.0.b2.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php74-phalcon4-4.1.3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php80-opcache-8.0.15.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/php81-opcache-8.1.2_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-02-11_17h40m04s/logs/errors/qt5-webengine-5.15.2_5.log


www/qt5-webengine caused 100 skipped
sysutils/dtc caused 67 skipped
www/php80-opcache caused 51 skipped
databases/postgresql13-server caused 41 skipped
www/php81-opcache caused 40 skipped
databases/firebird25-client caused 15 skipped
Comment 10 Dimitry Andric freebsd_committer 2022-02-14 17:06:20 UTC
Added bug 261949 for www/qt5-webengine.
Comment 11 Dimitry Andric freebsd_committer 2022-02-15 20:43:46 UTC
Added bug 261976 for databases/postgresql14-server (and slaves).
Comment 12 Dimitry Andric freebsd_committer 2022-02-15 21:50:12 UTC
Submitted upstream bug https://github.com/llvm/llvm-project/issues/53868 for www/php80-opcache and www/php81-opcache.
Comment 13 Dimitry Andric freebsd_committer 2022-02-18 17:37:05 UTC
(In reply to Dimitry Andric from comment #12)
www/php80-opcache and www/php81-opcache should now be fixed with the merge of upstream commit https://github.com/llvm/llvm-project/commit/027c16bef4b727095eea00bbef9266f1f4a78c27, in https://github.com/DimitryAndric/freebsd-src/commit/6dcdd0369f8bbd7d4e0c2822e8baf4cc258f27e9 .
Comment 14 Dimitry Andric freebsd_committer 2022-03-16 18:12:42 UTC
Added bug 262598 for www/firefox, www/firefox-esr and mail/thunderbird.
Comment 15 Dimitry Andric freebsd_committer 2022-03-17 21:09:06 UTC
Added bug 262634 for graphics/libavif.
Comment 16 Dimitry Andric freebsd_committer 2022-03-22 21:20:38 UTC
Antoine, can you please do another run, if there is some free slot on the build servers?

Quite a few bugs were fixed, and the https://github.com/DimitryAndric/freebsd-src/tree/llvm-14-update is now at clang 14.0.0-rc4, rebased to main as of a few days ago.

(N.B. the llvm 14.0.0 release should be any day now...)
Comment 17 Antoine Brodin freebsd_committer 2022-03-25 13:07:35 UTC
Some failures on amd64:

http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/mumble-1.3.3_5.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/murmur-1.3.3_3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/horizon-eda-2.2.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/wkhtmltopdf-0.12.6.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/firebird25-client-2.5.9_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/postgresql-libpqxx-7.2.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/flang-clang-7.0.g20191020.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/heimdall-1.4.2_5.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/simdjson-0.9.6.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/imhex-1.15.0.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/pcemu-1.01b_5.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/virtualbox-ose-legacy-5.2.44_9.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/virtualbox-ose-nox11-legacy-5.2.44_9.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/jinput-2.0.10,1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/pioneer-20220203.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/spring-106.0.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/vultures-eye-2.3.67_3.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/drm-current-kmod-5.4.144.g20220223.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/drm-devel-kmod-5.7.19.g20220223.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/dspdfviewer-1.15.1_48.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/pcl-pointclouds-1.12.1_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/openjdk13-13.0.10+5.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/openjdk17-17.0.2+8.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/openjdk17-jre-17.0.2+8.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/libpgmath-g20191020_1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/octave-forge-interval-3.2.1.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/afl-2.52_4.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/gnome-lite-41.log
http://gohan04.nyi.freebsd.org/data/mainamd64PR261742-default/2022-03-22_22h20m22s/logs/errors/gnome-41.log

databases/firebird25-client causes 15 skipped
converters/wkhtmltopdf causes 5 skipped
java/openjdk17 causes 4 skipped
games/jinput causes 4 skipped
java/openjdk13 causes 4 skipped
Comment 18 Dimitry Andric freebsd_committer 2022-03-25 17:27:52 UTC
Hmm the annoying one is databases/firebird25-client, which works totally fine for me, but according to the build log it gets an abort trap on gohan04:

gmake[4]: Leaving directory '/wrkdirs/usr/ports/databases/firebird25-client/work/Firebird-2.5.9.27139-0/gen'
rm -f empty.fdb
../gen/firebird/bin/create_db empty.fdb
gmake[3]: *** [../gen/Makefile.refDatabases:68: empty.fdb] Abort trap (core dumped)

Any ideas how I might be able to reproduce? Maybe this occurs in particular for poudriere builds?
Comment 19 Antoine Brodin freebsd_committer 2022-03-25 18:09:03 UTC
(In reply to Dimitry Andric from comment #18)
It seems to randomly fail on other builders (stable/12 i386 and stable/13 amd64) too, so I think you can ignore it.
Comment 20 Dimitry Andric freebsd_committer 2022-03-25 22:15:02 UTC
Added bug 262814 for converters/wkhtmltopdf.
Comment 21 Dimitry Andric freebsd_committer 2022-03-26 19:55:29 UTC
Added bug 262845 for java/openjdk13, java/openjdk14, java/openjdk15, java/openjdk16, and java/openjdk17.
Comment 22 Antoine Brodin freebsd_committer 2022-03-27 15:36:51 UTC
New failure logs on i386:

http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/mumble-1.3.3_5.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/murmur-1.3.3_3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/horizon-eda-2.2.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/firebird25-client-2.5.9_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/postgresql-libpqxx-7.2.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/electron13-13.6.9.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/gogs-0.12.3_1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/heimdall-1.4.2_5.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/bind918-9.18.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/doggo-0.5.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/pcemu-1.01b_5.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/virtualbox-ose-legacy-5.2.44_9.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/virtualbox-ose-nox11-legacy-5.2.44_9.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/vultures-eye-2.3.67_3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/drm-current-kmod-5.4.144.g20220223.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/drm-devel-kmod-5.7.19.g20220223.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/dspdfviewer-1.15.1_48.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/openjdk13-13.0.10+5.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/fricas-1.3.7.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/dendrite-0.6.5.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/ooni-probe-cli-3.14.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/syncthing-1.19.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/traefik-2.6.1.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/afl-2.52_4.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/xray-core-1.5.3.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/ipfs-go-0.11.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/ipget-0.8.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/zrepl-0.5.0.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/bibtool-2.68.log
http://gohan04.nyi.freebsd.org/data/maini386PR261742-default/2022-03-25_13h08m50s/logs/errors/adguardhome-0.107.0.b.7.log
Comment 23 Dimitry Andric freebsd_committer 2022-03-27 17:23:01 UTC
games/jinput seems to suffer some sort of Java specific problem:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile (default-compile) on project examples: Compilation failure: Compilation failure:
[ERROR] /wrkdirs/usr/ports/games/jinput/work/jinput-bf22dd975bbba31f01895332255b63df376894e6/examples/src/main/java/net/java/games/input/example/ReadFirstMouse.java:[3,28] cannot find symbol
[ERROR]   symbol:   class Component
[ERROR]   location: package net.java.games.input
[ERROR] /wrkdirs/usr/ports/games/jinput/work/jinput-bf22dd975bbba31f01895332255b63df376894e6/examples/src/main/java/net/java/games/input/example/ReadFirstMouse.java:[4,28] cannot find symbol
[ERROR]   symbol:   class Controller
[ERROR]   location: package net.java.games.input
[ERROR] /wrkdirs/usr/ports/games/jinput/work/jinput-bf22dd975bbba31f01895332255b63df376894e6/examples/src/main/java/net/java/games/input/example/ReadFirstMouse.java:[5,28] cannot find symbol
[ERROR]   symbol:   class ControllerEnvironment

I don't think this has anything to do with clang... :)
Comment 24 Dimitry Andric freebsd_committer 2022-04-05 19:48:22 UTC
Added bug 263071 for audio/mumble.
Comment 25 Dimitry Andric freebsd_committer 2022-04-07 20:06:34 UTC
databases/postgresql-libpqxx should be fixed by:
https://github.com/DimitryAndric/freebsd-src/commit/ae246ec00eb35b2466042a6481d3bd0712c691e6
Comment 26 Dimitry Andric freebsd_committer 2022-04-09 11:29:20 UTC
Added bug 263176 for devel/heimdall.
Comment 27 Dimitry Andric freebsd_committer 2022-04-09 15:15:31 UTC
Added bug 263179 for devel/flang-clang.
Comment 28 Dimitry Andric freebsd_committer 2022-04-09 15:26:32 UTC
At the moment, the ports that cause the most 'skipped' are now fixed, and I think it should now be acceptable to merging llvm 14.0.0 into main/14-CURRENT.

Are there any objections from portmgr? Any showstopper ports that must still be fixed?
Comment 29 Dimitry Andric freebsd_committer 2022-04-26 19:17:43 UTC
I'm planning on committing llvm 14 into main as soon as 13.1-RELEASE is out the door.
Comment 30 commit-hook freebsd_committer 2022-05-14 11:51:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=3a9a9c0ca44ec535dcf73fe8462bee458e54814b

commit 3a9a9c0ca44ec535dcf73fe8462bee458e54814b
Merge: 53683b95ef66 139d50076136
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-04-28 18:32:24 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:46:42 +0000

    Merge llvm-project release/14.x llvmorg-14.0.3-0-g1f9140064dfb

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14.0.3-0-g1f9140064dfb.

    PR:             261742
    MFC after:      2 weeks

 ObsoleteFiles.inc                                  |   4 +-
 .../clang/include/clang/Driver/Options.td          |   3 +-
 .../clang/include/clang/Interpreter/Interpreter.h  |   2 +
 contrib/llvm-project/clang/lib/CodeGen/CGExpr.cpp  |  14 +-
 .../clang/lib/Driver/ToolChains/Arch/AArch64.cpp   |   3 +
 .../clang/lib/Driver/ToolChains/OpenBSD.cpp        |   9 +
 .../clang/lib/Driver/ToolChains/OpenBSD.h          |   4 +-
 .../clang/lib/Interpreter/IncrementalExecutor.h    |   1 +
 .../clang/lib/Interpreter/Interpreter.cpp          |   6 +
 .../clang/utils/TableGen/NeonEmitter.cpp           |  23 +-
 .../compiler-rt/lib/asan/asan_linux.cpp            |  30 +-
 .../compiler-rt/lib/scudo/scudo_allocator.cpp      |   4 +-
 .../compiler-rt/lib/scudo/scudo_crc32.cpp          |   4 +-
 .../compiler-rt/lib/scudo/scudo_crc32.h            |  12 +-
 .../compiler-rt/lib/scudo/standalone/checksum.h    |   8 +-
 .../compiler-rt/lib/scudo/standalone/chunk.h       |   4 +-
 .../compiler-rt/lib/scudo/standalone/crc32_hw.cpp  |   4 +-
 contrib/llvm-project/libcxx/src/random.cpp         |   2 +-
 contrib/llvm-project/lld/COFF/DebugTypes.cpp       |  19 +-
 contrib/llvm-project/lld/ELF/SyntheticSections.h   |   4 +-
 contrib/llvm-project/lld/ELF/Writer.cpp            |  41 +-
 .../llvm/include/llvm/CodeGen/FastISel.h           |   7 +
 .../llvm/include/llvm/CodeGen/SelectionDAG.h       |  13 +
 .../llvm/include/llvm/CodeGen/SelectionDAGISel.h   |   1 +
 .../llvm/lib/CodeGen/MachineFunction.cpp           |   3 -
 .../llvm/lib/CodeGen/SelectionDAG/FastISel.cpp     |   4 +-
 .../llvm/lib/CodeGen/SelectionDAG/InstrEmitter.cpp |   5 +-
 .../llvm/lib/CodeGen/SelectionDAG/InstrEmitter.h   |   3 +-
 .../lib/CodeGen/SelectionDAG/ScheduleDAGFast.cpp   |   3 +-
 .../CodeGen/SelectionDAG/ScheduleDAGSDNodes.cpp    |   3 +-
 .../llvm/lib/CodeGen/SelectionDAG/SelectionDAG.cpp |  12 +-
 .../CodeGen/SelectionDAG/SelectionDAGBuilder.cpp   |   5 +-
 .../lib/CodeGen/SelectionDAG/SelectionDAGISel.cpp  |  10 +-
 .../llvm-project/llvm/lib/MC/ELFObjectWriter.cpp   |   1 +
 contrib/llvm-project/llvm/lib/Object/ELF.cpp       |   2 -
 .../llvm/lib/Support/AArch64TargetParser.cpp       |   2 +
 .../llvm/lib/Target/AArch64/AArch64.td             |  12 +-
 .../llvm/lib/Target/AArch64/AArch64CollectLOH.cpp  |   2 +-
 .../Target/AArch64/AArch64ExpandPseudoInsts.cpp    |  34 ++
 .../llvm/lib/Target/AArch64/AArch64FastISel.cpp    |   8 +
 .../lib/Target/AArch64/AArch64ISelLowering.cpp     | 163 +++---
 .../llvm/lib/Target/AArch64/AArch64ISelLowering.h  |   9 +-
 .../llvm/lib/Target/AArch64/AArch64InstrInfo.td    |  11 +
 .../llvm/lib/Target/AArch64/AArch64Subtarget.h     |   6 +
 .../Target/AArch64/AsmParser/AArch64AsmParser.cpp  |  16 +-
 .../Target/AArch64/GISel/AArch64CallLowering.cpp   |  12 +-
 .../AArch64/GISel/AArch64PreLegalizerCombiner.cpp  |   7 +-
 .../AArch64/MCTargetDesc/AArch64ELFStreamer.cpp    |   1 +
 .../lib/Target/PowerPC/AsmParser/PPCAsmParser.cpp  |  63 +--
 .../Target/PowerPC/MCTargetDesc/PPCAsmBackend.cpp  |   2 +
 .../PowerPC/MCTargetDesc/PPCELFObjectWriter.cpp    |   2 +
 .../Target/PowerPC/MCTargetDesc/PPCFixupKinds.h    |   4 +
 .../PowerPC/MCTargetDesc/PPCMCCodeEmitter.cpp      |   4 +-
 .../lib/Target/PowerPC/MCTargetDesc/PPCMCExpr.cpp  |  13 +-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    |   1 +
 .../llvm/lib/Target/PowerPC/PPCInstrInfo.td        |   4 +-
 .../Target/RISCV/MCTargetDesc/RISCVAsmBackend.cpp  |   8 +-
 .../lib/Target/RISCV/MCTargetDesc/RISCVMatInt.cpp  |  54 +-
 .../llvm/lib/Target/RISCV/RISCVFrameLowering.cpp   |  23 +-
 .../llvm/lib/Target/RISCV/RISCVISelLowering.cpp    |  71 +--
 .../RISCV/RISCVMachineFunctionInfo.cpp (new)       |  30 +
 .../lib/Target/RISCV/RISCVMachineFunctionInfo.h    |  25 +
 .../llvm/lib/Target/RISCV/RISCVTargetMachine.cpp   |  23 +
 .../llvm/lib/Target/RISCV/RISCVTargetMachine.h     |   8 +
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        |  24 +-
 .../Transforms/InstCombine/InstCombineAndOrXor.cpp |   6 +
 .../Transforms/InstCombine/InstCombineSelect.cpp   |  17 +
 .../lib/Transforms/Vectorize/LoopVectorize.cpp     |  37 +-
 .../lib/Transforms/Vectorize/VectorCombine.cpp     |   8 +-
 .../llvm/tools/llvm-objdump/ELFDump.cpp            |   8 +-
 etc/mtree/BSD.debug.dist                           |   2 +-
 etc/mtree/BSD.usr.dist                             |   2 +-
 lib/clang/headers/Makefile                         |   2 +-
 lib/clang/include/VCSVersion.inc                   |   6 +-
 lib/clang/include/clang/Basic/Version.inc          |   6 +-
 lib/clang/include/clang/Config/config.h            |   2 +-
 lib/clang/include/lld/Common/Version.inc           |   4 +-
 lib/clang/include/lldb/Version/Version.inc         |   6 +-
 lib/clang/include/llvm/Config/TargetMCAs.def       |   4 +
 lib/clang/include/llvm/Config/config.h             |   4 +-
 lib/clang/include/llvm/Config/llvm-config.h        |   4 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |   2 +-
 lib/clang/libllvm/Makefile                         |   2 +
 lib/libclang_rt/compiler-rt-vars.mk                |   2 +-
 lib/libclang_rt/include/Makefile                   |   1 +
 lib/libclang_rt/profile/Makefile                   |   1 +
 sys/sys/param.h                                    |   2 +-
 tools/build/mk/OptionalObsoleteFiles.inc           | 602 +++++++++++----------
 88 files changed, 985 insertions(+), 660 deletions(-)
Comment 31 commit-hook freebsd_committer 2022-05-14 11:51:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=dbc822f3bc537e0d8350f63178397156bc163b1c

commit dbc822f3bc537e0d8350f63178397156bc163b1c
Merge: fb03ea46eb85 8a0619680e19
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-03-29 20:16:50 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:46:31 +0000

    Merge llvm-project release/14.x llvmorg-14.0.0-2-g3f43d803382d

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14.0.0-2-g3f43d803382d.

    PR:             261742
    MFC after:      2 weeks

 contrib/llvm-project/libcxx/include/span     | 8 +++++++-
 lib/clang/include/VCSVersion.inc             | 6 +++---
 lib/clang/include/lld/Common/Version.inc     | 2 +-
 lib/clang/include/llvm/Support/VCSRevision.h | 2 +-
 4 files changed, 12 insertions(+), 6 deletions(-)
Comment 32 commit-hook freebsd_committer 2022-05-14 11:51:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=fb03ea46eb853b2d128828e9d82882125bcc1657

commit fb03ea46eb853b2d128828e9d82882125bcc1657
Merge: a1f13cbcbb26 7ed720081106
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-03-17 19:16:00 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:46:23 +0000

    Merge llvm-project release/14.x llvmorg-14.0.0-rc4-2-gadd3ab7f4c8a

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14.0.0-rc4-2-gadd3ab7f4c8a.

    PR:             261742
    MFC after:      2 weeks

 .../clang/include/clang/Basic/LangOptions.h        |  4 --
 .../clang/lib/AST/RecordLayoutBuilder.cpp          |  7 +-
 .../clang/lib/Driver/ToolChains/PPCLinux.cpp       |  6 +-
 .../clang/lib/Frontend/CompilerInvocation.cpp      |  4 --
 .../clang/lib/Sema/SemaTemplateInstantiateDecl.cpp |  4 +-
 contrib/llvm-project/libcxx/include/span           | 50 ++++++++++++-
 contrib/llvm-project/lld/COFF/Writer.cpp           |  8 ++-
 .../llvm/include/llvm/Analysis/InlineCost.h        |  5 ++
 .../llvm/include/llvm/Transforms/Scalar.h          |  3 +-
 .../llvm/include/llvm/Transforms/Scalar/LICM.h     | 20 ++++--
 .../llvm/include/llvm/Transforms/Utils/LoopUtils.h |  9 ++-
 .../llvm/Transforms/Utils/SimplifyCFGOptions.h     |  5 ++
 .../llvm-project/llvm/lib/Analysis/InlineCost.cpp  | 13 +++-
 .../llvm-project/llvm/lib/CodeGen/MachineSink.cpp  | 12 ++++
 .../llvm-project/llvm/lib/MC/WasmObjectWriter.cpp  | 62 ++++++++++------
 .../llvm-project/llvm/lib/Passes/PassBuilder.cpp   |  2 +
 .../llvm/lib/Passes/PassBuilderPipelines.cpp       | 82 +++++++++++++++-------
 .../llvm-project/llvm/lib/Passes/PassRegistry.def  |  1 +
 .../lib/Target/AArch64/AArch64TargetMachine.cpp    |  1 +
 .../lib/Target/Hexagon/HexagonISelLoweringHVX.cpp  |  8 +--
 .../lib/Target/Hexagon/HexagonTargetMachine.cpp    |  1 +
 .../llvm/lib/Target/Mips/MipsISelLowering.cpp      | 13 ++--
 .../llvm/lib/Transforms/IPO/Inliner.cpp            | 45 ++++++++++--
 .../llvm/lib/Transforms/IPO/OpenMPOpt.cpp          | 38 +++++-----
 .../llvm/lib/Transforms/IPO/PassManagerBuilder.cpp | 55 ++++++++++-----
 .../llvm/lib/Transforms/Scalar/LICM.cpp            | 71 ++++++++++---------
 .../llvm/lib/Transforms/Scalar/SimplifyCFGPass.cpp |  9 +++
 .../llvm/lib/Transforms/Utils/SimplifyCFG.cpp      |  4 +-
 lib/clang/include/VCSVersion.inc                   |  6 +-
 lib/clang/include/lld/Common/Version.inc           |  2 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |  2 +-
 31 files changed, 387 insertions(+), 165 deletions(-)
Comment 33 commit-hook freebsd_committer 2022-05-14 11:51:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=d781ede639f2289ccf0889dd138169e1194b656b

commit d781ede639f2289ccf0889dd138169e1194b656b
Merge: d56accc7c3dc 1ff3a73c1ece
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-03-05 14:16:17 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:46:11 +0000

    Merge llvm-project release/14.x llvmorg-14.0.0-rc2-12-g09546e1b5103

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14.0.0-rc2-12-g09546e1b5103.

    PR:             261742
    MFC after:      2 weeks

 contrib/llvm-project/FREEBSD-Xlist                 |  20 +--
 .../clang/include/clang/AST/DeclTemplate.h         |   6 +-
 .../llvm-project/clang/lib/AST/DeclTemplate.cpp    |   9 +-
 .../clang/lib/Driver/ToolChains/CommonArgs.cpp     |   2 +-
 .../clang/lib/Driver/ToolChains/CommonArgs.h       |   2 +
 .../clang/lib/Driver/ToolChains/DragonFly.cpp      |   9 +-
 .../clang/lib/Driver/ToolChains/NetBSD.cpp         |   9 +-
 .../clang/lib/Driver/ToolChains/OpenBSD.h          |   4 +
 .../clang/lib/Driver/ToolChains/Solaris.cpp        |   7 +
 .../clang/lib/Serialization/ASTReaderDecl.cpp      |   2 +-
 .../libcxx/include/__algorithm/comp_ref_type.h     |  10 +-
 .../libcxx/src/filesystem/operations.cpp           |   4 +-
 .../libunwind/src/UnwindRegistersSave.S            |   2 +
 contrib/llvm-project/libunwind/src/assembly.h      |   2 +-
 contrib/llvm-project/lld/ELF/SyntheticSections.cpp |   3 +
 contrib/llvm-project/lld/ELF/SyntheticSections.h   |   1 +
 .../llvm/include/llvm/Analysis/MemoryBuiltins.h    |   2 +-
 .../llvm/include/llvm/BinaryFormat/COFF.h          |   4 +
 .../llvm/include/llvm/BinaryFormat/DynamicTags.def |   1 +
 .../llvm/ExecutionEngine/Orc/EPCIndirectionUtils.h |   2 +-
 .../llvm/include/llvm/Transforms/IPO/Attributor.h  |  14 +-
 .../llvm/lib/Analysis/ConstantFolding.cpp          |   9 +-
 .../llvm/lib/Analysis/IVDescriptors.cpp            |   8 +-
 .../llvm/lib/Analysis/InstructionSimplify.cpp      |  21 ++-
 .../llvm/lib/Analysis/MemoryBuiltins.cpp           |  51 ++++---
 .../llvm/lib/BinaryFormat/COFF.cpp (new)           |  57 ++++++++
 .../ExecutionEngine/Orc/EPCIndirectionUtils.cpp    |   5 +-
 contrib/llvm-project/llvm/lib/IR/Mangler.cpp       |   2 +-
 .../llvm/lib/MC/WinCOFFObjectWriter.cpp            |  41 +-----
 .../lib/Target/AArch64/AArch64ISelLowering.cpp     |  25 ++--
 .../llvm/lib/Target/AArch64/AArch64InstrInfo.cpp   |  65 +++++++++
 .../llvm/lib/Target/AArch64/AArch64InstrInfo.td    |   8 +-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.h      |  15 ++-
 .../lib/Target/RISCV/AsmParser/RISCVAsmParser.cpp  |   2 +
 .../llvm/lib/Target/RISCV/RISCVISelLowering.cpp    |  20 ++-
 .../llvm/lib/Transforms/IPO/Attributor.cpp         |  32 ++---
 .../lib/Transforms/IPO/AttributorAttributes.cpp    | 150 +++++++++++++--------
 .../llvm/lib/Transforms/IPO/FunctionAttrs.cpp      |  24 +++-
 .../llvm/lib/Transforms/IPO/OpenMPOpt.cpp          |   2 +
 .../lib/Transforms/Scalar/DeadStoreElimination.cpp |  88 ++++++------
 .../lib/Transforms/Vectorize/SLPVectorizer.cpp     | 130 ++++++++----------
 .../llvm/tools/llvm-objcopy/COFF/Writer.cpp        |  21 ++-
 .../llvm/tools/llvm-objcopy/COFF/Writer.h          |   2 +-
 .../llvm/tools/llvm-readobj/ELFDumper.cpp          |   1 +
 .../llvm/tools/llvm-rtdyld/llvm-rtdyld.cpp         |   6 +-
 lib/clang/include/VCSVersion.inc                   |   6 +-
 lib/clang/include/lld/Common/Version.inc           |   2 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |   2 +-
 lib/clang/libllvm/Makefile                         |   1 +
 lib/libclang_rt/asan_static/Makefile               |   2 +-
 50 files changed, 578 insertions(+), 335 deletions(-)
Comment 34 commit-hook freebsd_committer 2022-05-14 11:51:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=d56accc7c3dcc897489b6a07834763a03b9f3d68

commit d56accc7c3dcc897489b6a07834763a03b9f3d68
Merge: 8885dff6cec5 7eff647615f9
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-02-18 22:41:20 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:45:57 +0000

    Merge llvm-project release/14.x llvmorg-14.0.0-rc1-74-g4dc3cb8e3255

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14.0.0-rc1-74-g4dc3cb8e3255.

    PR:             261742
    MFC after:      2 weeks

 .../clang/include/clang/Basic/Builtins.def         |  56 +--
 .../clang/include/clang/Basic/Builtins.h           |  25 +-
 .../include/clang/Basic/DiagnosticCommonKinds.td   |   4 +-
 .../clang/include/clang/Basic/TargetInfo.h         |   4 +-
 contrib/llvm-project/clang/lib/Basic/Builtins.cpp  |  26 +-
 .../clang/lib/CodeGen/CodeGenModule.cpp            |   8 +
 .../llvm-project/clang/lib/CodeGen/TargetInfo.cpp  |  34 ++
 .../clang/lib/Driver/ToolChains/Clang.cpp          |  37 +-
 .../clang/lib/Driver/ToolChains/Hexagon.cpp        |  34 +-
 .../clang/lib/Driver/ToolChains/MSVC.cpp           |   4 +-
 .../clang/lib/Driver/ToolChains/MinGW.cpp          |   4 +-
 .../clang/lib/Driver/ToolChains/MinGW.h            |   2 +
 .../clang/lib/Driver/ToolChains/OpenBSD.cpp        |   9 +-
 .../clang/lib/Format/DefinitionBlockSeparator.cpp  |  49 ++-
 .../clang/lib/Format/QualifierAlignmentFixer.cpp   |   4 +
 .../clang/lib/Format/UnwrappedLineParser.cpp       |   3 +-
 .../llvm-project/clang/lib/Headers/opencl-c-base.h |   2 +
 contrib/llvm-project/clang/lib/Headers/opencl-c.h  |   6 +
 .../clang/lib/Headers/ppc_wrappers/mm_malloc.h     |   2 +-
 .../llvm-project/clang/lib/Sema/OpenCLBuiltins.td  | 416 +++++++--------------
 .../llvm-project/clang/lib/Sema/SemaChecking.cpp   |  10 +-
 contrib/llvm-project/clang/lib/Sema/SemaDecl.cpp   |  17 -
 .../compiler-rt/lib/asan/asan_errors.h             |   4 +-
 .../lib/sanitizer_common/sanitizer_common.h        |   2 +-
 .../lib/sanitizer_common/sanitizer_linux.cpp       |  46 +--
 .../sanitizer_common/sanitizer_linux_libcdep.cpp   |  27 +-
 .../lib/sanitizer_common/sanitizer_mac.cpp         |   4 +-
 .../sanitizer_symbolizer_report.cpp                |   4 +-
 .../lib/sanitizer_common/sanitizer_win.cpp         |  10 +-
 .../lib/tsan/rtl/tsan_interceptors_posix.cpp       |  10 +-
 .../libcxx/include/__algorithm/in_in_out_result.h  |   4 +-
 .../libcxx/include/__algorithm/in_out_result.h     |   4 +-
 contrib/llvm-project/libcxx/include/__config       |   2 +
 .../include/__filesystem/directory_iterator.h      |   2 +-
 .../__filesystem/recursive_directory_iterator.h    |   2 +-
 .../include/__functional/ranges_operations.h       |   5 +-
 .../libcxx/include/__iterator/advance.h            |   4 +-
 .../libcxx/include/__iterator/distance.h           |   4 +-
 .../libcxx/include/__iterator/insert_iterator.h    |   2 +-
 .../libcxx/include/__iterator/iter_move.h          |   2 +-
 .../libcxx/include/__iterator/iter_swap.h          |   1 -
 .../llvm-project/libcxx/include/__iterator/next.h  |   4 +-
 .../llvm-project/libcxx/include/__iterator/prev.h  |   4 +-
 .../libcxx/include/__memory/concepts.h             |   6 +-
 .../libcxx/include/__memory/ranges_construct_at.h  |   4 +-
 .../__memory/ranges_uninitialized_algorithms.h     |   6 +-
 contrib/llvm-project/libcxx/include/__ranges/all.h |   4 +-
 .../libcxx/include/__ranges/common_view.h          |   4 +-
 .../libcxx/include/__ranges/concepts.h             |  12 +-
 .../libcxx/include/__ranges/copyable_box.h         |   4 +-
 .../llvm-project/libcxx/include/__ranges/counted.h |   4 +-
 .../libcxx/include/__ranges/dangling.h             |   2 +-
 .../llvm-project/libcxx/include/__ranges/data.h    |   4 +-
 .../libcxx/include/__ranges/drop_view.h            |   4 +-
 .../llvm-project/libcxx/include/__ranges/empty.h   |   4 +-
 .../libcxx/include/__ranges/empty_view.h           |   4 +-
 .../include/__ranges/enable_borrowed_range.h       |   3 +-
 .../libcxx/include/__ranges/enable_view.h          |   2 +-
 .../libcxx/include/__ranges/iota_view.h            |   4 +-
 .../libcxx/include/__ranges/join_view.h            |   4 +-
 .../include/__ranges/non_propagating_cache.h       |   4 +-
 .../libcxx/include/__ranges/owning_view.h          |   4 +-
 .../libcxx/include/__ranges/range_adaptor.h        |   4 +-
 .../libcxx/include/__ranges/ref_view.h             |   4 +-
 .../libcxx/include/__ranges/reverse_view.h         |   4 +-
 .../libcxx/include/__ranges/single_view.h          |   4 +-
 .../llvm-project/libcxx/include/__ranges/size.h    |   4 +-
 .../libcxx/include/__ranges/subrange.h             |   4 +-
 .../libcxx/include/__ranges/take_view.h            |   4 +-
 .../libcxx/include/__ranges/transform_view.h       |   4 +-
 .../libcxx/include/__ranges/view_interface.h       |   4 +-
 .../libcxx/include/__threading_support             |  56 ---
 contrib/llvm-project/libcxx/include/ranges         |  12 +-
 contrib/llvm-project/libcxx/include/span           |  19 +-
 contrib/llvm-project/libcxx/include/string         |   4 +
 contrib/llvm-project/libcxx/include/string_view    |   8 +-
 contrib/llvm-project/libcxx/include/vector         |  93 ++---
 contrib/llvm-project/libcxx/src/vector.cpp         |  17 +-
 .../libunwind/include/__libunwind_config.h         |   8 +
 .../libunwind/src/DwarfInstructions.hpp            |  19 +
 contrib/llvm-project/libunwind/src/DwarfParser.hpp |  27 +-
 contrib/llvm-project/libunwind/src/Registers.hpp   | 186 +++++++++
 .../llvm-project/libunwind/src/UnwindCursor.hpp    |  16 +
 .../libunwind/src/UnwindRegistersRestore.S         |  47 +++
 .../libunwind/src/UnwindRegistersSave.S            |  58 +++
 contrib/llvm-project/libunwind/src/config.h        |  11 +-
 contrib/llvm-project/libunwind/src/libunwind.cpp   |   2 +
 contrib/llvm-project/lld/ELF/Arch/PPC64.cpp        |   7 +-
 contrib/llvm-project/lld/ELF/Driver.cpp            |  35 +-
 contrib/llvm-project/lld/ELF/InputFiles.cpp        |  11 +-
 contrib/llvm-project/lld/ELF/OutputSections.cpp    |   2 +-
 contrib/llvm-project/lld/docs/ReleaseNotes.rst     | 152 +++++++-
 .../llvm-project/lldb/include/lldb/Core/Mangled.h  |  11 +-
 .../lldb/include/lldb/Core/RichManglingContext.h   |  29 +-
 .../lldb/include/lldb/Target/Process.h             |  38 +-
 .../lldb/source/Commands/CommandObjectMemory.cpp   |  20 +-
 .../lldb/source/Commands/CommandObjectThread.cpp   |  49 +++
 contrib/llvm-project/lldb/source/Core/Mangled.cpp  |  21 +-
 .../lldb/source/Core/RichManglingContext.cpp       |  46 +--
 .../ASan/InstrumentationRuntimeASan.cpp            |   2 +-
 .../Plugins/Process/elf-core/ProcessElfCore.cpp    |   4 +-
 .../Plugins/Process/elf-core/ProcessElfCore.h      |   8 +-
 .../Process/gdb-remote/ProcessGDBRemote.cpp        |   4 +-
 .../Plugins/Process/gdb-remote/ProcessGDBRemote.h  |   6 +-
 .../Plugins/Process/minidump/ProcessMinidump.cpp   |   4 +-
 .../Plugins/Process/minidump/ProcessMinidump.h     |   6 +-
 .../Plugins/Process/scripted/ScriptedProcess.cpp   |   4 +-
 .../Plugins/Process/scripted/ScriptedProcess.h     |   6 +-
 contrib/llvm-project/lldb/source/Symbol/Symtab.cpp |  11 +-
 .../llvm-project/lldb/source/Target/Process.cpp    |  23 +-
 .../llvm/include/llvm/CodeGen/TargetLowering.h     |   8 +
 .../llvm/DebugInfo/Symbolize/DIFetcher.h (new)     |  51 +++
 .../include/llvm/DebugInfo/Symbolize/Symbolize.h   |  13 +
 .../llvm/include/llvm/Debuginfod/DIFetcher.h (new) |  34 ++
 .../llvm/include/llvm/Support/Compiler.h           |   2 +
 .../CodeGen/LiveDebugValues/InstrRefBasedImpl.cpp  | 376 ++++++++++++++-----
 .../CodeGen/LiveDebugValues/InstrRefBasedImpl.h    |  63 +++-
 .../CodeGen/LiveDebugValues/LiveDebugValues.cpp    |   5 +
 .../llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp  |  73 +++-
 .../lib/DebugInfo/Symbolize/DIFetcher.cpp (new)    |  58 +++
 .../llvm/lib/DebugInfo/Symbolize/Symbolize.cpp     | 161 ++++----
 .../llvm/lib/Debuginfod/DIFetcher.cpp (new)        |  28 ++
 .../llvm-project/llvm/lib/Support/RISCVISAInfo.cpp |  23 +-
 .../llvm/lib/Target/AArch64/AArch64SVEInstrInfo.td |  53 +--
 .../llvm/lib/Target/AArch64/SVEInstrFormats.td     |  25 +-
 .../lib/Target/RISCV/AsmParser/RISCVAsmParser.cpp  |  35 +-
 .../RISCV/Disassembler/RISCVDisassembler.cpp       |  32 ++
 .../llvm-project/llvm/lib/Target/RISCV/RISCV.td    |  37 ++
 .../llvm/lib/Target/RISCV/RISCVFrameLowering.cpp   |   8 -
 .../llvm/lib/Target/RISCV/RISCVFrameLowering.h     |   2 -
 .../llvm/lib/Target/RISCV/RISCVInsertVSETVLI.cpp   |  36 +-
 .../llvm/lib/Target/RISCV/RISCVInstrInfoD.td       | 215 +++++++----
 .../llvm/lib/Target/RISCV/RISCVInstrInfoF.td       | 281 ++++++++++----
 .../llvm/lib/Target/RISCV/RISCVInstrInfoZfh.td     | 213 +++++++----
 .../llvm/lib/Target/RISCV/RISCVRegisterInfo.td     |  30 ++
 .../llvm/lib/Target/RISCV/RISCVSubtarget.h         |   8 +
 contrib/llvm-project/llvm/lib/Target/X86/X86.td    |   2 +
 .../llvm/lib/Target/X86/X86FrameLowering.cpp       |   5 +-
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        |  46 +--
 .../llvm/lib/Target/X86/X86ISelLowering.h          |   3 +
 .../lib/Transforms/IPO/AttributorAttributes.cpp    |  84 +++--
 .../llvm/lib/Transforms/IPO/OpenMPOpt.cpp          |   1 -
 .../lib/Transforms/Scalar/InferAddressSpaces.cpp   |  11 +-
 .../lib/Transforms/Vectorize/LoopVectorize.cpp     |  35 +-
 .../lib/Transforms/Vectorize/SLPVectorizer.cpp     | 179 +--------
 .../llvm/tools/llvm-symbolizer/llvm-symbolizer.cpp |   9 +-
 .../openmp/runtime/src/kmp_affinity.cpp            |   2 +-
 lib/clang/include/VCSVersion.inc                   |   6 +-
 lib/clang/include/lld/Common/Version.inc           |   2 +-
 lib/clang/include/llvm/Config/config.h             |   5 -
 lib/clang/include/llvm/Config/llvm-config.h        |   6 +
 lib/clang/include/llvm/Support/VCSRevision.h       |   2 +-
 lib/clang/libllvm/Makefile                         |   2 +
 lib/libclang_rt/Makefile                           |   2 +
 lib/libclang_rt/asan_dynamic/Makefile              |   9 +-
 lib/libclang_rt/asan_static/Makefile (new)         |  10 +
 lib/libclang_rt/fuzzer_interceptors/Makefile (new) |   9 +
 157 files changed, 2809 insertions(+), 1595 deletions(-)
Comment 35 commit-hook freebsd_committer 2022-05-14 11:51:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=1838bd0f4839006b42d41a02a787b7f578655223

commit 1838bd0f4839006b42d41a02a787b7f578655223
Merge: 1fd87a682ad7 1e9a9d6d0565
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-02-05 22:51:07 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:45:25 +0000

    Merge llvm-project release/14.x llvmorg-14-init-18315-g190be5457c90

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14-init-18315-g190be5457c90.

    PR:             261742
    MFC after:      2 weeks

 Makefile.inc1                                      |  9 ++--
 .../clang/lib/Driver/ToolChains/Linux.cpp          |  2 +-
 .../sanitizer_platform_limits_posix.cpp            |  2 +-
 .../libcxx/include/__algorithm/in_in_out_result.h  | 12 ++++--
 .../libcxx/include/__algorithm/in_in_result.h      | 10 ++++-
 .../libcxx/include/__algorithm/in_out_result.h     |  2 +
 .../libcxx/include/__chrono/duration.h             |  2 +-
 .../__compare/compare_partial_order_fallback.h     |  4 +-
 .../__compare/compare_strong_order_fallback.h      |  4 +-
 .../libcxx/include/__compare/compare_three_way.h   |  4 +-
 .../__compare/compare_weak_order_fallback.h        |  4 +-
 .../libcxx/include/__compare/partial_order.h       |  4 +-
 .../libcxx/include/__compare/strong_order.h        |  4 +-
 .../libcxx/include/__compare/synth_three_way.h     |  4 +-
 .../include/__compare/three_way_comparable.h       |  4 +-
 .../libcxx/include/__compare/weak_order.h          |  4 +-
 .../libcxx/include/__concepts/arithmetic.h         |  4 +-
 .../libcxx/include/__concepts/assignable.h         |  4 +-
 .../libcxx/include/__concepts/boolean_testable.h   |  4 +-
 .../libcxx/include/__concepts/class_or_enum.h      |  4 +-
 .../include/__concepts/common_reference_with.h     |  4 +-
 .../libcxx/include/__concepts/common_with.h        |  4 +-
 .../libcxx/include/__concepts/constructible.h      |  4 +-
 .../libcxx/include/__concepts/convertible_to.h     |  4 +-
 .../libcxx/include/__concepts/copyable.h           |  4 +-
 .../libcxx/include/__concepts/derived_from.h       |  4 +-
 .../libcxx/include/__concepts/destructible.h       |  4 +-
 .../libcxx/include/__concepts/different_from.h     |  4 +-
 .../include/__concepts/equality_comparable.h       |  4 +-
 .../libcxx/include/__concepts/invocable.h          |  4 +-
 .../libcxx/include/__concepts/movable.h            |  4 +-
 .../libcxx/include/__concepts/predicate.h          |  4 +-
 .../libcxx/include/__concepts/regular.h            |  4 +-
 .../libcxx/include/__concepts/relation.h           |  4 +-
 .../libcxx/include/__concepts/same_as.h            |  4 +-
 .../libcxx/include/__concepts/semiregular.h        |  4 +-
 .../libcxx/include/__concepts/swappable.h          |  4 +-
 .../libcxx/include/__concepts/totally_ordered.h    |  4 +-
 contrib/llvm-project/libcxx/include/__config       |  2 +-
 .../libcxx/include/__iterator/distance.h           |  4 +-
 .../include/__iterator/indirectly_comparable.h     |  4 +-
 .../libcxx/include/__iterator/insert_iterator.h    |  2 +-
 .../libcxx/include/__iterator/reverse_iterator.h   |  2 +-
 .../__random/uniform_random_bit_generator.h        |  4 +-
 .../llvm-project/libcxx/include/__ranges/access.h  | 15 +++++--
 .../include/__ranges/enable_borrowed_range.h       |  4 +-
 .../include/__ranges/non_propagating_cache.h       |  2 +-
 .../llvm-project/libcxx/include/__utility/cmp.h    |  2 +-
 .../llvm-project/libcxx/include/__utility/pair.h   |  6 +--
 .../llvm-project/libcxx/include/module.modulemap   |  3 +-
 contrib/llvm-project/libcxx/include/numbers        |  4 +-
 contrib/llvm-project/libcxx/include/ranges         |  4 +-
 contrib/llvm-project/libcxx/include/string         | 15 -------
 contrib/llvm-project/libcxx/include/string_view    |  8 ++--
 contrib/llvm-project/libcxx/include/tuple          |  6 +--
 contrib/llvm-project/libcxx/include/type_traits    |  4 +-
 contrib/llvm-project/libcxx/src/string.cpp         | 21 +++++++---
 .../libunwind/src/DwarfInstructions.hpp            |  2 -
 .../llvm/lib/Debuginfod/HTTPClient.cpp             |  3 +-
 .../llvm-project/llvm/lib/ObjectYAML/ELFYAML.cpp   |  3 ++
 .../llvm/lib/Target/AVR/AVRFrameLowering.cpp       |  4 +-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    |  2 +
 lib/clang/include/VCSVersion.inc                   | 10 ++---
 lib/clang/include/lld/Common/Version.inc           |  5 ++-
 lib/clang/include/llvm/Support/VCSRevision.h       |  2 +-
 lib/clang/libclang/Makefile                        |  3 ++
 lib/clang/liblldb/LLDBWrapLua.cpp                  | 11 +----
 lib/clang/libllvm/Makefile                         |  2 +-
 lib/libgcc_eh/Makefile                             |  2 +
 lib/libomp/kmp_config.h                            | 49 +++++++++++++++++++++-
 lib/libomp/kmp_i18n_default.inc                    | 16 +++++--
 lib/libomp/kmp_i18n_id.inc                         | 12 +++++-
 lib/libomp/omp-tools.h                             |  1 -
 lib/libomp/omp.h                                   |  1 -
 74 files changed, 240 insertions(+), 163 deletions(-)
Comment 36 commit-hook freebsd_committer 2022-05-14 11:51:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=1fd87a682ad7442327078e1eeb63edc4258f9815

commit 1fd87a682ad7442327078e1eeb63edc4258f9815
Merge: 04eeddc0aa8e ecbca9f5fb7d
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2022-02-05 20:07:43 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:44:47 +0000

    Merge llvm-project main llvmorg-14-init-18294-gdb01b123d012

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14-init-18294-gdb01b123d012, the last commit before
    the upstream release/14.x branch was created.

    PR:             261742
    MFC after:      2 weeks

 .../clang/include/clang/AST/ASTContext.h           |  35 +-
 .../include/clang/Analysis/Analyses/Dominators.h   |   2 +-
 .../clang/include/clang/Analysis/CFG.h             |  12 -
 .../Analysis/FlowSensitive/DataflowAnalysis.h      |  15 +-
 .../Analysis/FlowSensitive/DataflowEnvironment.h   |  57 ++-
 .../clang/Analysis/FlowSensitive/MapLattice.h      |   4 +-
 .../FlowSensitive/TypeErasedDataflowAnalysis.h     |   8 +-
 .../clang/include/clang/Basic/AttrDocs.td          |  56 +--
 .../clang/include/clang/Basic/BuiltinsAArch64.def  |   3 +
 .../clang/include/clang/Basic/CodeGenOptions.h     |   5 +
 .../include/clang/Basic/DiagnosticCommonKinds.td   |   7 +
 .../include/clang/Basic/DiagnosticDriverKinds.td   |   8 +-
 .../clang/include/clang/Basic/LangOptions.h        |   4 +
 .../clang/include/clang/Basic/TargetInfo.h         |  19 +-
 .../clang/include/clang/CodeGen/BackendUtil.h      |   3 +
 .../clang/include/clang/Driver/Action.h            |  12 +
 .../clang/include/clang/Driver/Driver.h            |  51 +-
 .../llvm-project/clang/include/clang/Driver/Job.h  |   2 +
 .../clang/include/clang/Driver/Options.td          |  20 +-
 .../clang/include/clang/Driver/ToolChain.h         |  18 +
 .../clang/StaticAnalyzer/Checkers/Checkers.td      |   2 +-
 contrib/llvm-project/clang/lib/AST/ASTContext.cpp  |  37 +-
 .../llvm-project/clang/lib/AST/ExprConstant.cpp    |  17 +-
 .../clang/lib/AST/RecordLayoutBuilder.cpp          |   7 +-
 .../Analysis/FlowSensitive/DataflowEnvironment.cpp |  73 ++-
 .../FlowSensitive/TypeErasedDataflowAnalysis.cpp   |  11 +-
 .../clang/lib/Basic/Targets/AArch64.cpp            |   2 +-
 .../llvm-project/clang/lib/Basic/Targets/AArch64.h |   5 +-
 .../llvm-project/clang/lib/Basic/Targets/ARM.cpp   |  23 +-
 contrib/llvm-project/clang/lib/Basic/Targets/ARM.h |   6 +-
 .../clang/lib/Basic/Targets/WebAssembly.cpp        |   1 +
 .../llvm-project/clang/lib/CodeGen/BackendUtil.cpp |  31 +-
 .../llvm-project/clang/lib/CodeGen/CGBuiltin.cpp   |  12 +
 contrib/llvm-project/clang/lib/CodeGen/CGClass.cpp |   3 +-
 contrib/llvm-project/clang/lib/CodeGen/CGExpr.cpp  |   2 +-
 .../llvm-project/clang/lib/CodeGen/CGExprAgg.cpp   |   4 +-
 .../llvm-project/clang/lib/CodeGen/CGExprCXX.cpp   |   8 +-
 .../clang/lib/CodeGen/CGExprConstant.cpp           |   1 +
 .../clang/lib/CodeGen/CGOpenMPRuntimeGPU.cpp       |  16 +-
 contrib/llvm-project/clang/lib/CodeGen/CGStmt.cpp  |   2 +-
 .../clang/lib/CodeGen/CGStmtOpenMP.cpp             |  55 ++
 .../clang/lib/CodeGen/CodeGenAction.cpp            |   1 +
 .../clang/lib/CodeGen/CodeGenFunction.h            |   1 +
 .../clang/lib/CodeGen/CodeGenModule.cpp            |   9 +-
 .../llvm-project/clang/lib/CodeGen/CodeGenModule.h |   7 -
 .../llvm-project/clang/lib/CodeGen/TargetInfo.cpp  |  59 ++-
 contrib/llvm-project/clang/lib/Driver/Action.cpp   |   8 +
 contrib/llvm-project/clang/lib/Driver/Driver.cpp   | 264 +++++++---
 .../llvm-project/clang/lib/Driver/ToolChain.cpp    |  12 +-
 .../clang/lib/Driver/ToolChains/AMDGPUOpenMP.cpp   |   4 +
 .../clang/lib/Driver/ToolChains/AVR.cpp            |   5 +
 .../clang/lib/Driver/ToolChains/Clang.cpp          | 159 +++++-
 .../clang/lib/Driver/ToolChains/Clang.h            |  15 +
 .../clang/lib/Driver/ToolChains/CommonArgs.cpp     |  27 +-
 .../clang/lib/Driver/ToolChains/CommonArgs.h       |   3 +
 .../clang/lib/Driver/ToolChains/Cuda.cpp           |   4 +
 .../clang/lib/Driver/ToolChains/XCore.cpp          |   4 +
 .../clang/lib/Format/BreakableToken.cpp            |  35 +-
 .../clang/lib/Format/ContinuationIndenter.cpp      |  12 +-
 contrib/llvm-project/clang/lib/Format/Format.cpp   |  57 ++-
 .../llvm-project/clang/lib/Format/FormatToken.h    |  28 ++
 .../clang/lib/Format/NamespaceEndCommentsFixer.cpp |   4 +-
 .../clang/lib/Format/SortJavaScriptImports.cpp     |   7 +-
 .../clang/lib/Format/TokenAnalyzer.cpp             |  10 +-
 .../llvm-project/clang/lib/Format/TokenAnnotator.h |   5 +-
 .../clang/lib/Format/UnwrappedLineFormatter.cpp    |  25 +-
 .../clang/lib/Format/UnwrappedLineParser.cpp       |  21 +-
 .../clang/lib/Format/UsingDeclarationsSorter.cpp   |  10 +-
 .../clang/lib/Format/WhitespaceManager.cpp         |  31 +-
 .../clang/lib/Frontend/CompilerInvocation.cpp      |   4 +
 .../clang/lib/Frontend/InitPreprocessor.cpp        |   8 +
 contrib/llvm-project/clang/lib/Headers/arm_acle.h  |   6 +
 contrib/llvm-project/clang/lib/Headers/float.h     |  21 +-
 contrib/llvm-project/clang/lib/Headers/limits.h    |   2 +
 .../llvm-project/clang/lib/Headers/opencl-c-base.h |   6 +
 contrib/llvm-project/clang/lib/Headers/opencl-c.h  |  86 ++--
 contrib/llvm-project/clang/lib/Lex/Lexer.cpp       |   5 +-
 .../llvm-project/clang/lib/Sema/OpenCLBuiltins.td  |  14 +-
 contrib/llvm-project/clang/lib/Sema/Sema.cpp       |  57 ++-
 contrib/llvm-project/clang/lib/Sema/SemaCUDA.cpp   |   2 +
 .../llvm-project/clang/lib/Sema/SemaChecking.cpp   |   2 +-
 .../llvm-project/clang/lib/Sema/SemaCoroutine.cpp  |  12 +-
 contrib/llvm-project/clang/lib/Sema/SemaDecl.cpp   |  13 +-
 .../llvm-project/clang/lib/Sema/SemaDeclAttr.cpp   |   3 +-
 contrib/llvm-project/clang/lib/Sema/SemaExpr.cpp   |  23 +-
 .../llvm-project/clang/lib/Sema/SemaExprCXX.cpp    |   7 +-
 contrib/llvm-project/clang/lib/Sema/SemaOpenMP.cpp |  19 +-
 .../llvm-project/clang/lib/Sema/SemaOverload.cpp   |   7 +-
 .../clang/lib/Sema/SemaTemplateInstantiate.cpp     |   3 +
 contrib/llvm-project/clang/lib/Sema/SemaType.cpp   |   7 +-
 .../llvm-project/clang/lib/Sema/TreeTransform.h    |   2 +
 .../compiler-rt/include/profile/InstrProfData.inc  |   4 +
 .../compiler-rt/include/profile/MemProfData.inc    |  99 +++-
 .../include/sanitizer/common_interface_defs.h      |   9 +
 .../compiler-rt/lib/builtins/floatsisf.c           |   4 +-
 .../compiler-rt/lib/builtins/floatsitf.c           |   8 +-
 .../compiler-rt/lib/builtins/floatunsisf.c         |   4 +-
 .../compiler-rt/lib/builtins/floatunsitf.c         |   4 +-
 .../compiler-rt/lib/builtins/fp_extend.h           |   4 +-
 .../compiler-rt/lib/builtins/udivmoddi4.c          |   4 +-
 .../lib/hwasan/hwasan_memintrinsics.cpp            |   2 +-
 .../lib/interception/interception_win.cpp          |   2 +
 .../compiler-rt/lib/memprof/memprof_allocator.cpp  |  40 +-
 .../lib/memprof/memprof_meminfoblock.h (gone)      | 116 -----
 .../compiler-rt/lib/memprof/memprof_mibmap.cpp     |   2 +
 .../compiler-rt/lib/memprof/memprof_mibmap.h       |   9 +-
 .../compiler-rt/lib/memprof/memprof_rawprofile.cpp |   9 +-
 .../compiler-rt/lib/memprof/tests/rawprofile.cpp   |  50 +-
 .../compiler-rt/lib/msan/msan_interceptors.cpp     |   8 +-
 .../compiler-rt/lib/profile/InstrProfiling.c       |   4 +-
 .../compiler-rt/lib/profile/InstrProfilingBuffer.c |   2 +
 .../compiler-rt/lib/profile/InstrProfilingMerge.c  |  10 +-
 .../lib/sanitizer_common/sanitizer_atomic_clang.h  |  13 +-
 .../lib/tsan/rtl/tsan_interceptors_posix.cpp       |   6 +-
 .../include/__algorithm/in_in_out_result.h (new)   |  48 ++
 .../libcxx/include/__algorithm/in_in_result.h      |   4 +-
 .../libcxx/include/__algorithm/in_out_result.h     |   4 +-
 .../compare_partial_order_fallback.h (new)         |  73 +++
 .../compare_strong_order_fallback.h (new)          |  70 +++
 .../__compare/compare_weak_order_fallback.h (new)  |  70 +++
 .../libcxx/include/__concepts/swappable.h          |  15 +-
 contrib/llvm-project/libcxx/include/__config       |  15 +-
 .../include/__filesystem/directory_iterator.h      |   2 +-
 .../__filesystem/recursive_directory_iterator.h    |   2 +-
 .../libcxx/include/__format/format_arg.h           |   7 +-
 .../libcxx/include/__format/format_context.h       |   8 +-
 .../libcxx/include/__functional/function.h         |   2 +-
 .../include/__functional/ranges_operations.h       |   4 +-
 .../libcxx/include/__iterator/advance.h            |   4 +-
 .../libcxx/include/__iterator/common_iterator.h    |   4 +-
 .../libcxx/include/__iterator/concepts.h           |   4 +-
 .../libcxx/include/__iterator/counted_iterator.h   |   4 +-
 .../libcxx/include/__iterator/default_sentinel.h   |   4 +-
 .../libcxx/include/__iterator/distance.h           |  56 +++
 .../include/__iterator/incrementable_traits.h      |   4 +-
 .../include/__iterator/indirectly_comparable.h     |   4 +-
 .../libcxx/include/__iterator/insert_iterator.h    |   2 +-
 .../libcxx/include/__iterator/iter_move.h          |  29 +-
 .../libcxx/include/__iterator/iter_swap.h          |  17 +-
 .../libcxx/include/__iterator/iterator_traits.h    |  12 +-
 .../llvm-project/libcxx/include/__iterator/next.h  |   4 +-
 .../llvm-project/libcxx/include/__iterator/prev.h  |   4 +-
 .../libcxx/include/__iterator/projected.h          |   4 +-
 .../libcxx/include/__iterator/readable_traits.h    |   4 +-
 .../include/__iterator/unreachable_sentinel.h      |   4 +-
 contrib/llvm-project/libcxx/include/__locale       |   8 +-
 .../libcxx/include/__memory/concepts.h             |   4 +-
 .../libcxx/include/__memory/ranges_construct_at.h  |   4 +-
 .../__memory/ranges_uninitialized_algorithms.h     |   4 +-
 .../llvm-project/libcxx/include/__ranges/access.h  |  12 +-
 contrib/llvm-project/libcxx/include/__ranges/all.h |   6 +-
 .../libcxx/include/__ranges/common_view.h          |   8 +-
 .../libcxx/include/__ranges/concepts.h             |   4 +-
 .../libcxx/include/__ranges/copyable_box.h         |   4 +-
 .../llvm-project/libcxx/include/__ranges/counted.h |   4 +-
 .../libcxx/include/__ranges/dangling.h             |   4 +-
 .../llvm-project/libcxx/include/__ranges/data.h    |   8 +-
 .../libcxx/include/__ranges/drop_view.h            |   4 +-
 .../llvm-project/libcxx/include/__ranges/empty.h   |   6 +-
 .../libcxx/include/__ranges/empty_view.h           |   4 +-
 .../include/__ranges/enable_borrowed_range.h       |   4 +-
 .../libcxx/include/__ranges/enable_view.h          |   6 +-
 .../libcxx/include/__ranges/iota_view.h            |   6 +-
 .../libcxx/include/__ranges/join_view.h            |   4 +-
 .../include/__ranges/non_propagating_cache.h       |   4 +-
 .../libcxx/include/__ranges/owning_view.h          |   4 +-
 .../libcxx/include/__ranges/range_adaptor.h        |   4 +-
 .../libcxx/include/__ranges/ref_view.h             |   4 +-
 .../libcxx/include/__ranges/reverse_view.h         |   8 +-
 .../libcxx/include/__ranges/single_view.h          |   4 +-
 .../llvm-project/libcxx/include/__ranges/size.h    |  10 +-
 .../libcxx/include/__ranges/subrange.h             |   6 +-
 .../libcxx/include/__ranges/take_view.h            |   4 +-
 .../libcxx/include/__ranges/transform_view.h       |   9 +-
 .../libcxx/include/__ranges/view_interface.h       |   6 +-
 contrib/llvm-project/libcxx/include/algorithm      |   6 +-
 contrib/llvm-project/libcxx/include/atomic         |   3 +
 contrib/llvm-project/libcxx/include/compare        |  14 +-
 contrib/llvm-project/libcxx/include/cstddef        |   3 +-
 .../llvm-project/libcxx/include/module.modulemap   |  24 +-
 contrib/llvm-project/libcxx/include/ranges         |   4 +-
 contrib/llvm-project/libcxx/include/span           |  18 +-
 contrib/llvm-project/libcxx/include/string_view    |  12 +-
 contrib/llvm-project/libcxx/include/variant        |   2 +-
 .../libcxx/src/filesystem/operations.cpp           | 107 +++-
 .../libunwind/include/__libunwind_config.h         |   2 +-
 .../libunwind/src/UnwindRegistersRestore.S         |   2 +-
 .../libunwind/src/UnwindRegistersSave.S            |   2 +-
 contrib/llvm-project/libunwind/src/assembly.h      |   2 +-
 contrib/llvm-project/libunwind/src/config.h        |   2 +-
 contrib/llvm-project/libunwind/src/libunwind.cpp   |   2 +-
 contrib/llvm-project/lld/Common/ErrorHandler.cpp   |   7 +
 contrib/llvm-project/lld/ELF/Arch/AArch64.cpp      |  50 ++
 contrib/llvm-project/lld/ELF/Config.h              |   7 +-
 contrib/llvm-project/lld/ELF/Driver.cpp            |  59 +--
 contrib/llvm-project/lld/ELF/Driver.h              |   2 +-
 contrib/llvm-project/lld/ELF/ICF.cpp               |   2 +-
 contrib/llvm-project/lld/ELF/InputFiles.cpp        |  67 ++-
 contrib/llvm-project/lld/ELF/InputFiles.h          |  35 +-
 contrib/llvm-project/lld/ELF/InputSection.cpp      |  73 ++-
 contrib/llvm-project/lld/ELF/InputSection.h        |  21 +-
 contrib/llvm-project/lld/ELF/LTO.cpp               |   2 +-
 contrib/llvm-project/lld/ELF/LinkerScript.cpp      |  16 +-
 contrib/llvm-project/lld/ELF/LinkerScript.h        |   2 +-
 contrib/llvm-project/lld/ELF/MarkLive.cpp          |   6 +-
 contrib/llvm-project/lld/ELF/OutputSections.cpp    |  38 +-
 contrib/llvm-project/lld/ELF/SyntheticSections.cpp | 138 ++---
 contrib/llvm-project/lld/ELF/SyntheticSections.h   |  35 +-
 contrib/llvm-project/lld/ELF/Target.cpp            |  17 +-
 contrib/llvm-project/lld/ELF/Target.h              |  23 +
 contrib/llvm-project/lld/ELF/Writer.cpp            |  52 +-
 contrib/llvm-project/lld/MachO/Driver.cpp          |   6 +
 contrib/llvm-project/lld/MachO/Driver.h            |   5 +-
 contrib/llvm-project/lld/MachO/InputFiles.h        |   9 +-
 contrib/llvm-project/lld/MachO/MapFile.cpp         |  59 ++-
 contrib/llvm-project/lld/MachO/Options.td          |   4 +
 contrib/llvm-project/lld/MachO/OutputSection.h     |  18 +-
 contrib/llvm-project/lld/MachO/SyntheticSections.h |   2 +
 .../llvm-project/lld/MachO/UnwindInfoSection.cpp   |   2 +-
 contrib/llvm-project/lld/MachO/Writer.cpp          |  11 +-
 contrib/llvm-project/lld/docs/ReleaseNotes.rst     |  21 +-
 contrib/llvm-project/lld/docs/conf.py              |   9 -
 .../lldb/bindings/interface/SBThread.i             |   2 +-
 .../lldb/docs/design/reproducers.rst (gone)        | 205 --------
 .../lldb/include/lldb/API/SBPlatform.h             |   1 -
 .../llvm-project/lldb/include/lldb/API/SBTarget.h  |   1 -
 .../llvm-project/lldb/include/lldb/API/SBThread.h  |   2 +-
 .../llvm-project/lldb/include/lldb/API/SBType.h    |   1 -
 .../llvm-project/lldb/include/lldb/Target/Target.h |   5 +-
 .../llvm-project/lldb/include/lldb/Target/Thread.h |  10 +-
 contrib/llvm-project/lldb/source/API/SBThread.cpp  |  48 +-
 .../Disassembler/LLVMC/DisassemblerLLVMC.cpp       |  16 +-
 .../ExpressionParser/Clang/ClangFunctionCaller.h   |   1 -
 .../ExpressionParser/Clang/ClangUserExpression.h   |   2 +
 .../Process/gdb-remote/GDBRemoteClientBase.cpp     |  14 +-
 .../Process/gdb-remote/GDBRemoteCommunication.cpp  |  16 +-
 .../gdb-remote/GDBRemoteCommunicationClient.cpp    |  31 +-
 .../gdb-remote/GDBRemoteCommunicationServer.cpp    |   2 +-
 .../gdb-remote/GDBRemoteRegisterContext.cpp        |  12 +-
 .../Process/gdb-remote/ProcessGDBRemote.cpp        |  76 ++-
 .../Process/gdb-remote/ProcessGDBRemoteLog.h       |  19 -
 .../Plugins/Process/gdb-remote/ThreadGDBRemote.h   |   6 +-
 .../Plugins/SymbolFile/DWARF/AppleDWARFIndex.cpp   |   3 +-
 .../SymbolFile/DWARF/DWARFASTParserClang.cpp       | 155 +-----
 .../SymbolFile/DWARF/DWARFDebugArangeSet.cpp       |   2 +-
 .../Plugins/SymbolFile/DWARF/DWARFDebugAranges.cpp |   2 +-
 .../SymbolFile/DWARF/DebugNamesDWARFIndex.cpp      |   2 +-
 .../Plugins/SymbolFile/DWARF/LogChannelDWARF.h     |   8 -
 .../Plugins/SymbolFile/DWARF/ManualDWARFIndex.cpp  |   2 +-
 .../Plugins/SymbolFile/DWARF/SymbolFileDWARF.cpp   |  32 +-
 .../SymbolFile/DWARF/SymbolFileDWARFDebugMap.cpp   |   4 +-
 .../Plugins/TypeSystem/Clang/TypeSystemClang.cpp   |  32 +-
 contrib/llvm-project/lldb/source/Target/Target.cpp |  12 +-
 contrib/llvm-project/lldb/source/Target/Thread.cpp |  24 +
 contrib/llvm-project/llvm/include/llvm-c/Core.h    |   1 +
 .../llvm-project/llvm/include/llvm-c/DebugInfo.h   |   2 +-
 .../llvm/include/llvm/ADT/APFixedPoint.h           |   4 +-
 .../llvm-project/llvm/include/llvm/ADT/APFloat.h   |   1 -
 .../llvm-project/llvm/include/llvm/ADT/APSInt.h    |   9 +-
 contrib/llvm-project/llvm/include/llvm/ADT/Any.h   |  11 +-
 .../llvm-project/llvm/include/llvm/ADT/BitVector.h |   7 +-
 .../llvm/include/llvm/ADT/BreadthFirstIterator.h   |  15 +-
 .../llvm/include/llvm/ADT/CachedHashString.h       |  19 +-
 .../llvm/include/llvm/ADT/CoalescingBitVector.h    |   3 +-
 .../llvm-project/llvm/include/llvm/ADT/DenseMap.h  |   7 +-
 .../llvm/include/llvm/ADT/DenseMapInfo.h           |   7 +-
 .../llvm-project/llvm/include/llvm/ADT/DenseSet.h  |   7 +-
 .../llvm/include/llvm/ADT/DepthFirstIterator.h     |  46 +-
 .../llvm/include/llvm/ADT/DirectedGraph.h          |   9 +-
 .../llvm/include/llvm/ADT/EnumeratedArray.h        |   8 +-
 .../llvm/include/llvm/ADT/EpochTracker.h           |  11 +-
 .../llvm/include/llvm/ADT/EquivalenceClasses.h     |   9 +-
 .../llvm/include/llvm/ADT/FloatingPointMode.h      |   7 +-
 .../llvm/include/llvm/ADT/FoldingSet.h             |  11 +-
 .../llvm/include/llvm/ADT/GenericCycleImpl.h       |  27 +-
 .../llvm/include/llvm/ADT/GenericCycleInfo.h       |   4 +-
 .../llvm/include/llvm/ADT/GraphTraits.h            |  16 +-
 .../llvm/include/llvm/ADT/ImmutableList.h          |   7 +-
 .../llvm/include/llvm/ADT/ImmutableMap.h           |   7 +-
 .../llvm/include/llvm/ADT/ImmutableSet.h           |   7 +-
 .../llvm/include/llvm/ADT/IndexedMap.h             |  19 +-
 .../llvm/include/llvm/ADT/IntEqClasses.h           |  21 +-
 .../llvm/include/llvm/ADT/IntervalMap.h            |  49 +-
 .../llvm/include/llvm/ADT/IntrusiveRefCntPtr.h     |  95 ++--
 .../llvm-project/llvm/include/llvm/ADT/MapVector.h |  13 +-
 contrib/llvm-project/llvm/include/llvm/ADT/None.h  |  11 +-
 .../llvm-project/llvm/include/llvm/ADT/Optional.h  |  13 +-
 .../llvm/include/llvm/ADT/PackedVector.h           |   7 +-
 .../llvm/include/llvm/ADT/PointerIntPair.h         |   7 +-
 .../llvm/include/llvm/ADT/PointerUnion.h           |   9 +-
 .../llvm/include/llvm/ADT/PostOrderIterator.h      |  11 +-
 .../llvm/include/llvm/ADT/PriorityQueue.h          |   7 +-
 .../llvm/include/llvm/ADT/STLArrayExtras.h (new)   |  35 ++
 .../llvm-project/llvm/include/llvm/ADT/STLExtras.h |  28 +-
 .../llvm/include/llvm/ADT/STLForwardCompat.h       |  13 +-
 .../llvm-project/llvm/include/llvm/ADT/ScopeExit.h |   9 +-
 .../llvm/include/llvm/ADT/SetOperations.h          |   9 +-
 .../llvm-project/llvm/include/llvm/ADT/SetVector.h |  19 +-
 .../llvm/include/llvm/ADT/SmallBitVector.h         |   7 +-
 .../llvm/include/llvm/ADT/SmallPtrSet.h            |   7 +-
 .../llvm-project/llvm/include/llvm/ADT/SmallSet.h  |   7 +-
 .../llvm/include/llvm/ADT/SmallString.h            |   7 +-
 .../llvm/include/llvm/ADT/SmallVector.h            |  39 +-
 .../llvm/include/llvm/ADT/SparseBitVector.h        |   9 +-
 .../llvm/include/llvm/ADT/SparseMultiSet.h         |  21 +-
 .../llvm-project/llvm/include/llvm/ADT/SparseSet.h |  19 +-
 .../llvm-project/llvm/include/llvm/ADT/Statistic.h |  31 +-
 .../llvm/include/llvm/ADT/StringExtras.h           |  12 +-
 .../llvm-project/llvm/include/llvm/ADT/StringMap.h |   7 +-
 .../llvm/include/llvm/ADT/StringMapEntry.h         |  11 +-
 .../llvm-project/llvm/include/llvm/ADT/StringSet.h |   7 +-
 .../llvm/include/llvm/ADT/StringSwitch.h           |   9 +-
 .../llvm-project/llvm/include/llvm/ADT/Triple.h    |  35 ++
 .../llvm/include/llvm/ADT/TypeSwitch.h             |   9 +-
 .../llvm/include/llvm/ADT/Waymarking.h (gone)      | 322 ------------
 contrib/llvm-project/llvm/include/llvm/ADT/bit.h   |   7 +-
 .../llvm/include/llvm/ADT/edit_distance.h          |  11 +-
 contrib/llvm-project/llvm/include/llvm/ADT/ilist.h |  27 +-
 .../llvm/include/llvm/ADT/ilist_node.h             |   9 +-
 .../include/llvm/Analysis/AliasAnalysisEvaluator.h |   1 +
 .../llvm/include/llvm/Analysis/CycleAnalysis.h     |   1 +
 .../llvm-project/llvm/include/llvm/Analysis/DDG.h  |  24 +-
 .../include/llvm/Analysis/DependenceAnalysis.h     |   2 +-
 .../include/llvm/Analysis/DependenceGraphBuilder.h |   2 +-
 .../include/llvm/Analysis/IRSimilarityIdentifier.h |  45 +-
 .../include/llvm/Analysis/IndirectCallVisitor.h    |   2 +-
 .../llvm/include/llvm/Analysis/InlineOrder.h       |   2 +-
 .../llvm/include/llvm/Analysis/LazyCallGraph.h     |   2 +-
 .../llvm/include/llvm/Analysis/LazyValueInfo.h     |   2 +-
 .../llvm/include/llvm/Analysis/Loads.h             |   3 +-
 .../llvm/include/llvm/Analysis/LoopInfo.h          |  10 +-
 .../llvm/include/llvm/Analysis/MLInlineAdvisor.h   |   1 +
 .../llvm/Analysis/MemoryDependenceAnalysis.h       |   1 +
 .../llvm/include/llvm/Analysis/MustExecute.h       |   6 +-
 .../llvm/include/llvm/Analysis/ObjCARCUtil.h       |   2 +-
 .../llvm/include/llvm/Analysis/ScalarEvolution.h   |   6 +-
 .../llvm/include/llvm/Analysis/SparsePropagation.h |   1 +
 .../llvm/include/llvm/Analysis/TargetLibraryInfo.h |  11 +-
 .../include/llvm/Analysis/TargetTransformInfo.h    |   2 +-
 .../llvm/Analysis/TargetTransformInfoImpl.h        |   3 +-
 .../llvm/include/llvm/BinaryFormat/ELF.h           |   3 +-
 .../include/llvm/BinaryFormat/MsgPackDocument.h    |   4 +-
 .../llvm/include/llvm/BinaryFormat/Swift.def (new) |  26 +
 .../llvm/include/llvm/BinaryFormat/Swift.h (new)   |  24 +
 .../llvm/include/llvm/Bitcode/BitcodeWriter.h      |   6 +-
 .../llvm/include/llvm/Bitstream/BitstreamReader.h  |   3 +-
 .../llvm-project/llvm/include/llvm/CodeGen/DIE.h   |   4 +-
 .../llvm/include/llvm/CodeGen/FastISel.h           |   4 +-
 .../include/llvm/CodeGen/GlobalISel/CallLowering.h |   2 +-
 .../llvm/CodeGen/GlobalISel/GISelChangeObserver.h  |   2 +-
 .../llvm/CodeGen/GlobalISel/LegacyLegalizerInfo.h  |   2 +-
 .../llvm/CodeGen/GlobalISel/LegalizerInfo.h        |  37 +-
 .../llvm/include/llvm/CodeGen/IntrinsicLowering.h  |   4 +-
 .../llvm/include/llvm/CodeGen/LoopTraversal.h      |   2 +-
 .../llvm/include/llvm/CodeGen/MIRFormatter.h       |   2 +-
 .../llvm/include/llvm/CodeGen/MIRYamlMapping.h     |   4 +-
 .../llvm/include/llvm/CodeGen/MachineFrameInfo.h   |  11 +-
 .../llvm/CodeGen/MachineModuleSlotTracker.h        |   2 +-
 .../llvm/include/llvm/CodeGen/MachineOperand.h     |   4 +-
 .../llvm/include/llvm/CodeGen/MachineOutliner.h    |   4 +-
 .../include/llvm/CodeGen/MachineRegisterInfo.h     |   2 +-
 .../llvm/include/llvm/CodeGen/ReplaceWithVeclib.h  |   1 +
 .../llvm/include/llvm/CodeGen/SelectionDAGISel.h   |   6 +-
 .../llvm/include/llvm/CodeGen/SelectionDAGNodes.h  |   6 +-
 .../llvm/include/llvm/CodeGen/SlotIndexes.h        |   2 +-
 .../include/llvm/CodeGen/SwitchLoweringUtils.h     |   8 +-
 .../llvm/include/llvm/CodeGen/TargetCallingConv.h  |   7 +-
 .../llvm/include/llvm/CodeGen/TargetLowering.h     |  12 +-
 .../llvm/include/llvm/CodeGen/VirtRegMap.h         |  11 +-
 .../llvm/include/llvm/DWARFLinker/DWARFStreamer.h  |   8 +-
 .../include/llvm/DebugInfo/DWARF/DWARFDebugFrame.h |   2 +-
 .../llvm/include/llvm/DebugInfo/GSYM/StringTable.h |   2 +-
 .../include/llvm/DebugInfo/Symbolize/DIPrinter.h   |   4 +-
 .../llvm/include/llvm/Demangle/ItaniumDemangle.h   |  12 +-
 .../llvm/include/llvm/Demangle/README.txt          |  71 +--
 .../llvm/include/llvm/Demangle/StringView.h        |   9 +-
 .../llvm/include/llvm/Demangle/Utility.h           |  11 +-
 .../include/llvm/ExecutionEngine/JITLink/JITLink.h |   2 +-
 .../llvm/include/llvm/ExecutionEngine/Orc/Core.h   |   2 +-
 .../ExecutionEngine/Orc/DebuggerSupportPlugin.h    |   2 +-
 .../ExecutionEngine/Orc/EPCDebugObjectRegistrar.h  |   2 +-
 .../llvm/ExecutionEngine/Orc/TaskDispatch.h        |   2 +-
 .../include/llvm/Frontend/OpenMP/OMPConstants.h    |   3 +
 .../include/llvm/Frontend/OpenMP/OMPIRBuilder.h    |  62 ++-
 .../llvm/include/llvm/Frontend/OpenMP/OMPKinds.def |   7 +
 .../llvm/include/llvm/IR/AbstractCallSite.h        |   4 +-
 .../llvm-project/llvm/include/llvm/IR/Attributes.h |   1 -
 contrib/llvm-project/llvm/include/llvm/IR/CFG.h    |   2 +-
 .../llvm-project/llvm/include/llvm/IR/DIBuilder.h  |   1 -
 .../llvm/include/llvm/IR/DebugInfoMetadata.h       |   1 -
 .../llvm/include/llvm/IR/DiagnosticInfo.h          |  16 +-
 .../llvm-project/llvm/include/llvm/IR/Dominators.h |  13 +-
 .../llvm-project/llvm/include/llvm/IR/IRBuilder.h  |   5 +-
 .../llvm/include/llvm/IR/IRPrintingPasses.h        |   5 +
 .../llvm-project/llvm/include/llvm/IR/InstrTypes.h |   9 +-
 .../llvm/include/llvm/IR/Instruction.h             |   2 -
 .../llvm/include/llvm/IR/Instructions.h            |   3 -
 .../llvm/include/llvm/IR/IntrinsicInst.h           |  11 +
 .../llvm/include/llvm/IR/Intrinsics.td             |   4 +
 .../llvm/include/llvm/IR/IntrinsicsAArch64.td      |   8 +
 .../llvm/include/llvm/IR/LLVMContext.h             |   1 -
 .../llvm/include/llvm/IR/LLVMRemarkStreamer.h      |  12 +-
 .../llvm/include/llvm/IR/LegacyPassManager.h       |   2 +-
 .../llvm-project/llvm/include/llvm/IR/MDBuilder.h  |   2 +-
 .../llvm-project/llvm/include/llvm/IR/Metadata.h   |  23 +-
 .../llvm/include/llvm/IR/ModuleSummaryIndex.h      |   1 -
 .../llvm/include/llvm/IR/PassInstrumentation.h     |   2 +-
 .../llvm/include/llvm/IR/PassManager.h             |   5 +-
 .../llvm/include/llvm/IR/PassManagerImpl.h         |   2 +-
 .../llvm/include/llvm/IR/PassTimingInfo.h          |   2 -
 .../llvm/include/llvm/IR/ReplaceConstant.h         |   7 +-
 .../llvm-project/llvm/include/llvm/IR/SSAContext.h |   5 +-
 .../llvm/include/llvm/IR/SafepointIRVerifier.h     |   2 +-
 .../llvm-project/llvm/include/llvm/IR/Statepoint.h |  20 +-
 contrib/llvm-project/llvm/include/llvm/IR/Type.h   |   2 +-
 contrib/llvm-project/llvm/include/llvm/IR/Use.h    |   1 -
 .../llvm/include/llvm/InterfaceStub/IFSStub.h      |   4 +-
 .../llvm/include/llvm/LineEditor/LineEditor.h      |   2 +-
 .../llvm-project/llvm/include/llvm/MC/MCContext.h  |  10 +-
 .../llvm/include/llvm/MC/MCObjectFileInfo.h        |  14 +
 .../llvm/include/llvm/MC/MCPseudoProbe.h           |   2 +-
 .../llvm/include/llvm/MCA/CustomBehaviour.h        |   2 +-
 .../llvm/include/llvm/MCA/HWEventListener.h        |   2 +-
 .../llvm/MCA/HardwareUnits/ResourceManager.h       |   2 +-
 .../llvm/include/llvm/Object/Archive.h             |   2 +-
 .../llvm/include/llvm/Object/ELFTypes.h            |   2 +-
 .../llvm-project/llvm/include/llvm/Object/MachO.h  |   4 +
 .../llvm/include/llvm/Object/ObjectFile.h          |   6 +
 .../include/llvm/Passes/StandardInstrumentations.h |   2 +-
 .../llvm/include/llvm/ProfileData/InstrProf.h      |  19 +-
 .../include/llvm/ProfileData/InstrProfCorrelator.h |   2 +-
 .../include/llvm/ProfileData/InstrProfData.inc     |   4 +
 .../include/llvm/ProfileData/InstrProfReader.h     |  79 ++-
 .../include/llvm/ProfileData/InstrProfWriter.h     |  51 +-
 .../llvm/include/llvm/ProfileData/MemProfData.inc  |  99 +++-
 .../llvm/Remarks/BitstreamRemarkSerializer.h       |   3 +-
 .../llvm/include/llvm/Remarks/RemarkLinker.h       |   6 +-
 .../llvm/include/llvm/Remarks/RemarkParser.h       |   6 +-
 .../llvm/include/llvm/Remarks/RemarkSerializer.h   |   6 +-
 .../llvm/include/llvm/Remarks/RemarkStreamer.h     |   4 +-
 .../include/llvm/Support/AArch64TargetParser.def   |   3 +
 .../llvm/include/llvm/Support/AMDGPUMetadata.h     |   5 +
 .../llvm/include/llvm/Support/ARMTargetParser.def  |   2 +
 .../llvm/include/llvm/Support/BinaryStreamReader.h |  11 +-
 .../llvm/include/llvm/Support/BinaryStreamWriter.h |  11 +-
 .../llvm/include/llvm/Support/CommandLine.h        |   2 +-
 .../llvm/include/llvm/Support/Compiler.h           |  21 +-
 .../llvm/include/llvm/Support/FileOutputBuffer.h   |   2 +-
 .../include/llvm/Support/FormatVariadicDetails.h   |   2 +-
 .../llvm/include/llvm/Support/GenericDomTree.h     |   2 +-
 .../Support/GenericIteratedDominanceFrontier.h     |   2 +-
 .../llvm/include/llvm/Support/KnownBits.h          |   2 +-
 .../llvm/include/llvm/Support/RISCVISAInfo.h       |   3 +
 .../llvm/include/llvm/Support/ScopedPrinter.h      |   8 +-
 .../llvm/include/llvm/Support/SuffixTree.h         |   2 +-
 .../llvm-project/llvm/include/llvm/Support/Timer.h |   2 +-
 .../llvm/include/llvm/TableGen/Record.h            |   2 +-
 .../AggressiveInstCombine/AggressiveInstCombine.h  |   1 +
 .../include/llvm/Transforms/IPO/AlwaysInliner.h    |   1 +
 .../llvm/Transforms/IPO/ArgumentPromotion.h        |   8 -
 .../llvm/include/llvm/Transforms/IPO/Attributor.h  | 168 +++++--
 .../llvm/Transforms/IPO/ForceFunctionAttrs.h       |   1 +
 .../llvm/include/llvm/Transforms/IPO/IROutliner.h  |  12 +-
 .../llvm/Transforms/IPO/InferFunctionAttrs.h       |   1 +
 .../include/llvm/Transforms/IPO/SampleProfile.h    |   1 +
 .../llvm/Transforms/IPO/SampleProfileProbe.h       |   2 +-
 .../llvm/Transforms/InstCombine/InstCombiner.h     |   2 +-
 .../Transforms/Instrumentation/AddressSanitizer.h  |   1 +
 .../Instrumentation/AddressSanitizerCommon.h       |   4 +-
 .../Transforms/Instrumentation/BoundsChecking.h    |   1 +
 .../Instrumentation/HWAddressSanitizer.h           |   1 +
 .../Transforms/Instrumentation/InstrProfiling.h    |  15 +-
 .../llvm/Transforms/Instrumentation/MemProfiler.h  |   1 +
 .../llvm/Transforms/Scalar/LoopPassManager.h       |   2 +-
 .../Transforms/Scalar/LowerConstantIntrinsics.h    |   2 +-
 .../include/llvm/Transforms/Scalar/Scalarizer.h    |   1 +
 .../llvm/Transforms/Scalar/WarnMissedTransforms.h  |   3 +-
 .../llvm/Transforms/Utils/AssumeBundleBuilder.h    |   1 +
 .../llvm/Transforms/Utils/BasicBlockUtils.h        |   6 +-
 .../llvm/Transforms/Utils/CallGraphUpdater.h       |   2 +-
 .../llvm/include/llvm/Transforms/Utils/Debugify.h  |   1 +
 .../llvm/Transforms/Utils/InjectTLIMappings.h      |   1 +
 .../llvm/include/llvm/Transforms/Utils/LoopPeel.h  |   2 +-
 .../include/llvm/Transforms/Utils/ModuleUtils.h    |   5 +
 .../include/llvm/Transforms/Utils/SSAUpdaterBulk.h |   6 +-
 .../Transforms/Vectorize/LoadStoreVectorizer.h     |   1 +
 .../llvm/include/llvm/module.modulemap             |   1 +
 .../llvm/lib/Analysis/BasicAliasAnalysis.cpp       |  11 +-
 .../llvm/lib/Analysis/IRSimilarityIdentifier.cpp   |  31 +-
 .../llvm/lib/Analysis/InstructionSimplify.cpp      |   6 +-
 contrib/llvm-project/llvm/lib/Analysis/Loads.cpp   |   4 +-
 .../llvm-project/llvm/lib/Analysis/LoopInfo.cpp    |   4 +
 .../llvm/lib/Analysis/MemDerefPrinter.cpp          |   8 +-
 .../llvm/lib/Analysis/ScalarEvolution.cpp          |  41 +-
 .../llvm/lib/Analysis/TypeBasedAliasAnalysis.cpp   |  33 ++
 .../llvm/lib/Analysis/ValueTracking.cpp            |   4 +-
 .../lib/BinaryFormat/AMDGPUMetadataVerifier.cpp    |  13 +
 .../llvm/lib/Bitcode/Writer/BitcodeWriter.cpp      |   6 +-
 contrib/llvm-project/llvm/lib/CodeGen/Analysis.cpp |   2 +-
 .../llvm/lib/CodeGen/AsmPrinter/AsmPrinter.cpp     |  12 +-
 .../llvm/lib/CodeGen/AsmPrinter/DIE.cpp            |   3 +-
 .../lib/CodeGen/AsmPrinter/DwarfCFIException.cpp   |   6 +-
 .../llvm/lib/CodeGen/AsmPrinter/DwarfDebug.cpp     |  12 +-
 .../llvm/lib/CodeGen/AsmPrinter/DwarfDebug.h       |   3 -
 .../llvm/lib/CodeGen/AsmPrinter/DwarfException.h   |  10 +-
 .../lib/CodeGen/AsmPrinter/DwarfExpression.cpp     |   8 +
 .../llvm/lib/CodeGen/AsmPrinter/DwarfUnit.cpp      |  25 +-
 .../llvm/lib/CodeGen/AsmPrinter/DwarfUnit.h        |   2 +-
 .../llvm/lib/CodeGen/CodeGenPrepare.cpp            |   4 +-
 .../llvm/lib/CodeGen/EarlyIfConversion.cpp         |   7 +-
 .../llvm-project/llvm/lib/CodeGen/ExpandMemCmp.cpp |   7 +-
 .../lib/CodeGen/GlobalISel/LegacyLegalizerInfo.cpp |   2 +-
 .../llvm-project/llvm/lib/CodeGen/IfConversion.cpp |   4 +-
 .../lib/CodeGen/InterleavedLoadCombinePass.cpp     |   9 +-
 .../CodeGen/LiveDebugValues/InstrRefBasedImpl.cpp  | 351 +++++++------
 .../CodeGen/LiveDebugValues/InstrRefBasedImpl.h    |  41 +-
 .../CodeGen/LiveDebugValues/VarLocBasedImpl.cpp    |   5 +-
 .../llvm/lib/CodeGen/MLRegallocEvictAdvisor.cpp    | 135 +++--
 .../llvm/lib/CodeGen/MachineModuleInfo.cpp         |   8 +-
 .../llvm/lib/CodeGen/MachineModuleSlotTracker.cpp  |   3 +-
 .../llvm/lib/CodeGen/MachineRegisterInfo.cpp       |   3 +-
 .../llvm/lib/CodeGen/MachineVerifier.cpp           |   2 +-
 .../llvm/lib/CodeGen/PostRASchedulerList.cpp       |   4 +-
 .../llvm/lib/CodeGen/RegAllocEvictionAdvisor.cpp   | 181 ++++++-
 .../llvm/lib/CodeGen/RegAllocEvictionAdvisor.h     |   6 +-
 .../llvm/lib/CodeGen/RegAllocGreedy.cpp            | 183 +------
 .../llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp  |  76 +--
 .../llvm/lib/CodeGen/SelectionDAG/FastISel.cpp     |   3 +-
 .../CodeGen/SelectionDAG/ScheduleDAGSDNodes.cpp    |   5 +-
 .../lib/CodeGen/SelectionDAG/ScheduleDAGSDNodes.h  |   8 +-
 .../llvm/lib/CodeGen/SelectionDAG/SelectionDAG.cpp |   7 +-
 .../CodeGen/SelectionDAG/SelectionDAGBuilder.cpp   |  16 +-
 .../lib/CodeGen/SelectionDAG/SelectionDAGISel.cpp  |   2 +-
 .../CodeGen/SelectionDAG/StatepointLowering.cpp    |  30 +-
 .../lib/CodeGen/SelectionDAG/TargetLowering.cpp    |  57 ++-
 .../llvm-project/llvm/lib/CodeGen/SlotIndexes.cpp  |   2 +-
 .../llvm/lib/DWARFLinker/DWARFStreamer.cpp         |  20 +-
 .../llvm/lib/Frontend/OpenMP/OMPIRBuilder.cpp      | 110 +++-
 contrib/llvm-project/llvm/lib/IR/Attributes.cpp    |  50 +-
 contrib/llvm-project/llvm/lib/IR/AutoUpgrade.cpp   |   1 -
 contrib/llvm-project/llvm/lib/IR/BasicBlock.cpp    |   3 +-
 contrib/llvm-project/llvm/lib/IR/Comdat.cpp        |   4 +-
 contrib/llvm-project/llvm/lib/IR/ConstantFold.cpp  |   2 -
 contrib/llvm-project/llvm/lib/IR/Constants.cpp     |   7 +-
 contrib/llvm-project/llvm/lib/IR/Core.cpp          |   2 +
 contrib/llvm-project/llvm/lib/IR/DIBuilder.cpp     |   2 -
 contrib/llvm-project/llvm/lib/IR/DataLayout.cpp    |   3 +-
 contrib/llvm-project/llvm/lib/IR/DebugInfo.cpp     |   5 +-
 .../llvm-project/llvm/lib/IR/DebugInfoMetadata.cpp |   4 +-
 contrib/llvm-project/llvm/lib/IR/DebugLoc.cpp      |   1 -
 .../llvm-project/llvm/lib/IR/DiagnosticInfo.cpp    |   6 +-
 contrib/llvm-project/llvm/lib/IR/Dominators.cpp    |  18 +-
 contrib/llvm-project/llvm/lib/IR/Function.cpp      |   2 -
 contrib/llvm-project/llvm/lib/IR/Globals.cpp       |   2 -
 contrib/llvm-project/llvm/lib/IR/IRBuilder.cpp     |   1 -
 contrib/llvm-project/llvm/lib/IR/InlineAsm.cpp     |   1 -
 contrib/llvm-project/llvm/lib/IR/Instruction.cpp   |   1 -
 contrib/llvm-project/llvm/lib/IR/IntrinsicInst.cpp |   2 -
 contrib/llvm-project/llvm/lib/IR/LLVMContext.cpp   |   2 -
 .../llvm-project/llvm/lib/IR/LLVMContextImpl.cpp   |  12 +
 contrib/llvm-project/llvm/lib/IR/LLVMContextImpl.h |  24 +-
 .../llvm/lib/IR/LLVMRemarkStreamer.cpp             |   2 +
 .../llvm-project/llvm/lib/IR/LegacyPassManager.cpp |  11 +-
 contrib/llvm-project/llvm/lib/IR/Metadata.cpp      |   4 -
 contrib/llvm-project/llvm/lib/IR/Module.cpp        |   2 -
 .../llvm/lib/IR/ModuleSummaryIndex.cpp             |   1 -
 contrib/llvm-project/llvm/lib/IR/Operator.cpp      |   1 -
 contrib/llvm-project/llvm/lib/IR/OptBisect.cpp     |   1 -
 contrib/llvm-project/llvm/lib/IR/PassManager.cpp   |   5 +-
 .../llvm-project/llvm/lib/IR/ProfileSummary.cpp    |   3 +-
 contrib/llvm-project/llvm/lib/IR/PseudoProbe.cpp   |   2 +-
 .../llvm-project/llvm/lib/IR/ReplaceConstant.cpp   |   3 +-
 contrib/llvm-project/llvm/lib/IR/SSAContext.cpp    |   3 +-
 .../llvm/lib/IR/SafepointIRVerifier.cpp            |   4 +-
 contrib/llvm-project/llvm/lib/IR/Statepoint.cpp    |   2 -
 contrib/llvm-project/llvm/lib/IR/Type.cpp          |   2 -
 contrib/llvm-project/llvm/lib/IR/Use.cpp           |   6 +-
 contrib/llvm-project/llvm/lib/IR/Value.cpp         |   3 -
 contrib/llvm-project/llvm/lib/IR/Verifier.cpp      |  12 +-
 contrib/llvm-project/llvm/lib/LTO/LTO.cpp          |   3 +-
 contrib/llvm-project/llvm/lib/LTO/LTOBackend.cpp   |   7 +-
 .../llvm/lib/LTO/ThinLTOCodeGenerator.cpp          |   2 +-
 contrib/llvm-project/llvm/lib/MC/MCAsmStreamer.cpp |   2 +-
 contrib/llvm-project/llvm/lib/MC/MCContext.cpp     |   8 +-
 .../llvm-project/llvm/lib/MC/MCObjectFileInfo.cpp  |  12 +
 .../llvm/lib/Object/MachOObjectFile.cpp            |  13 +
 .../llvm-project/llvm/lib/ObjectYAML/ELFYAML.cpp   |   1 +
 .../llvm/lib/ObjectYAML/WasmEmitter.cpp            |  13 +-
 .../llvm/lib/Passes/PassBuilderPipelines.cpp       |   7 +
 .../llvm/lib/ProfileData/InstrProf.cpp             |  26 -
 .../llvm/lib/ProfileData/InstrProfReader.cpp       |  62 ++-
 .../llvm/lib/ProfileData/InstrProfWriter.cpp       |  31 +-
 .../llvm/lib/Remarks/BitstreamRemarkParser.cpp     |   1 +
 .../llvm/lib/Remarks/BitstreamRemarkParser.h       |   4 +-
 .../llvm-project/llvm/lib/Remarks/RemarkLinker.cpp |   4 +-
 .../llvm-project/llvm/lib/Remarks/RemarkParser.cpp |   1 -
 .../llvm/lib/Remarks/YAMLRemarkParser.h            |   2 -
 .../llvm/lib/Remarks/YAMLRemarkSerializer.cpp      |   1 -
 .../llvm/lib/Support/ARMAttributeParser.cpp        |   2 +-
 contrib/llvm-project/llvm/lib/Support/Host.cpp     |   1 +
 .../llvm-project/llvm/lib/Support/RISCVISAInfo.cpp |  61 +--
 contrib/llvm-project/llvm/lib/Support/Signals.cpp  |   2 +-
 contrib/llvm-project/llvm/lib/Support/Triple.cpp   |   4 +-
 contrib/llvm-project/llvm/lib/Support/Valgrind.cpp |   2 +-
 .../llvm-project/llvm/lib/Support/Windows/Host.inc |   3 +
 .../llvm-project/llvm/lib/Support/raw_ostream.cpp  |   2 +-
 .../llvm/lib/TableGen/DetailedRecordsBackend.cpp   |  11 +-
 .../llvm-project/llvm/lib/TableGen/JSONBackend.cpp |   8 +-
 contrib/llvm-project/llvm/lib/TableGen/Main.cpp    |   2 -
 contrib/llvm-project/llvm/lib/TableGen/Record.cpp  |   8 +-
 .../llvm-project/llvm/lib/TableGen/SetTheory.cpp   |   3 +-
 .../llvm-project/llvm/lib/TableGen/TGParser.cpp    |   3 +-
 .../llvm/lib/TableGen/TableGenBackendSkeleton.cpp  |  19 +-
 .../llvm/lib/Target/AArch64/AArch64.td             |   6 +
 .../llvm/lib/Target/AArch64/AArch64AsmPrinter.cpp  |  46 ++
 .../Target/AArch64/AArch64ExpandPseudoInsts.cpp    |  27 +-
 .../lib/Target/AArch64/AArch64ISelLowering.cpp     | 145 +++++-
 .../llvm/lib/Target/AArch64/AArch64ISelLowering.h  |   8 +-
 .../llvm/lib/Target/AArch64/AArch64InstrInfo.cpp   |  31 +-
 .../llvm/lib/Target/AArch64/AArch64InstrInfo.td    |  84 +++-
 .../llvm/lib/Target/AArch64/AArch64SVEInstrInfo.td |  16 +-
 .../lib/Target/AArch64/AArch64SelectionDAGInfo.cpp |  97 +++-
 .../lib/Target/AArch64/AArch64SelectionDAGInfo.h   |  19 +
 .../llvm/lib/Target/AArch64/AArch64Subtarget.cpp   |   1 +
 .../llvm/lib/Target/AArch64/AArch64Subtarget.h     |   3 +-
 .../Target/AArch64/AArch64TargetTransformInfo.cpp  |  21 +-
 .../AArch64/GISel/AArch64InstructionSelector.cpp   |  95 ++++
 .../Target/AArch64/GISel/AArch64LegalizerInfo.cpp  |  55 +-
 .../Target/AArch64/GISel/AArch64LegalizerInfo.h    |   1 +
 .../llvm/lib/Target/AArch64/SVEInstrFormats.td     |  35 +-
 .../llvm-project/llvm/lib/Target/AMDGPU/AMDGPU.h   |   1 +
 .../Target/AMDGPU/AMDGPUAnnotateUniformValues.cpp  |  88 +++-
 .../llvm/lib/Target/AMDGPU/AMDGPUAsmPrinter.cpp    |   8 +-
 .../Target/AMDGPU/AMDGPUHSAMetadataStreamer.cpp    | 106 +++-
 .../lib/Target/AMDGPU/AMDGPUHSAMetadataStreamer.h  |  41 +-
 .../llvm/lib/Target/AMDGPU/AMDGPULegalizerInfo.cpp |   1 +
 .../llvm/lib/Target/AMDGPU/AMDGPULibCalls.cpp      |   3 +-
 .../llvm/lib/Target/AMDGPU/AMDGPUPromoteAlloca.cpp |   3 +-
 .../Target/AMDGPU/AsmParser/AMDGPUAsmParser.cpp    |  20 +-
 .../AMDGPU/MCTargetDesc/AMDGPUTargetStreamer.cpp   |   2 +
 .../llvm/lib/Target/AMDGPU/SIISelLowering.cpp      |   1 +
 .../lib/Target/AMDGPU/SILoadStoreOptimizer.cpp     |  14 +-
 .../lib/Target/AMDGPU/Utils/AMDGPUBaseInfo.cpp     |  14 +-
 .../llvm/lib/Target/AMDGPU/Utils/AMDGPUBaseInfo.h  |   5 +-
 contrib/llvm-project/llvm/lib/Target/ARM/ARM.td    |  10 +
 .../llvm/lib/Target/ARM/ARMBaseInstrInfo.cpp       |  39 +-
 .../llvm/lib/Target/ARM/ARMISelLowering.cpp        |   2 +-
 .../llvm/lib/Target/ARM/ARMInstrInfo.td            |  19 +-
 .../llvm/lib/Target/ARM/ARMInstrThumb.td           |   9 +-
 .../llvm/lib/Target/ARM/ARMInstrThumb2.td          |  16 +-
 .../llvm/lib/Target/ARM/ARMSubtarget.cpp           |   1 +
 .../llvm/lib/Target/ARM/ARMSubtarget.h             |   1 +
 .../llvm/lib/Target/ARM/ARMTargetTransformInfo.cpp |   3 -
 .../llvm/lib/Target/Hexagon/HexagonOptAddrMode.cpp |   8 +-
 .../lib/Target/M68k/GISel/M68kLegalizerInfo.cpp    |  35 +-
 .../llvm/lib/Target/M68k/M68kInstrBits.td          |   8 +
 .../llvm/lib/Target/NVPTX/NVPTXISelLowering.cpp    |   1 -
 .../llvm/lib/Target/NVPTX/NVPTXInstrInfo.td        |   1 +
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    |  45 +-
 .../llvm/lib/Target/PowerPC/PPCInstrPrefix.td      |  45 +-
 .../lib/Target/RISCV/AsmParser/RISCVAsmParser.cpp  |   4 +-
 .../RISCV/MCTargetDesc/RISCVMCCodeEmitter.cpp      |   6 +-
 .../lib/Target/RISCV/MCTargetDesc/RISCVMatInt.cpp  |  11 +-
 .../llvm-project/llvm/lib/Target/RISCV/RISCV.td    |   8 +-
 .../Target/RISCV/RISCVExpandAtomicPseudoInsts.cpp  |   6 +-
 .../lib/Target/RISCV/RISCVExpandPseudoInsts.cpp    |   6 +-
 .../llvm/lib/Target/RISCV/RISCVISelDAGToDAG.cpp    |  28 +-
 .../llvm/lib/Target/RISCV/RISCVISelLowering.cpp    | 175 +++++--
 .../llvm/lib/Target/RISCV/RISCVISelLowering.h      |   1 +
 .../llvm/lib/Target/RISCV/RISCVInsertVSETVLI.cpp   |  21 +-
 .../llvm/lib/Target/RISCV/RISCVInstrInfo.cpp       |  98 +---
 .../llvm/lib/Target/RISCV/RISCVInstrInfo.td        |  16 +-
 .../llvm/lib/Target/RISCV/RISCVInstrInfoA.td       |  12 +
 .../lib/Target/RISCV/RISCVInstrInfoVPseudos.td     |  20 +-
 .../lib/Target/RISCV/RISCVInstrInfoVSDPatterns.td  |   2 +-
 .../lib/Target/RISCV/RISCVInstrInfoVVLPatterns.td  |   4 +-
 .../llvm/lib/Target/RISCV/RISCVInstrInfoZb.td      | 503 +++++++++---------
 .../llvm/lib/Target/RISCV/RISCVInstrInfoZfh.td     |  28 +-
 .../llvm/lib/Target/RISCV/RISCVInstrInfoZk.td      |   2 +-
 .../llvm/lib/Target/RISCV/RISCVSExtWRemoval.cpp    |   6 +-
 .../llvm/lib/Target/RISCV/RISCVSubtarget.h         |   1 +
 .../Target/Sparc/MCTargetDesc/SparcAsmBackend.cpp  |  27 +
 .../Sparc/MCTargetDesc/SparcELFObjectWriter.cpp    |   4 +
 .../lib/Target/SystemZ/SystemZFrameLowering.cpp    |  82 +++
 .../llvm/lib/Target/SystemZ/SystemZFrameLowering.h |   3 +
 .../llvm/lib/Target/SystemZ/SystemZISelLowering.h  |   5 +
 .../llvm/lib/Target/SystemZ/SystemZInstrInfo.cpp   |   7 +
 .../llvm/lib/Target/SystemZ/SystemZInstrInfo.h     |   3 +
 .../WebAssembly/Utils/WebAssemblyTypeUtilities.cpp |  38 ++
 .../WebAssembly/Utils/WebAssemblyTypeUtilities.h   |  43 ++
 .../WebAssembly/Utils/WebAssemblyUtilities.h       |  38 --
 .../Target/WebAssembly/WebAssemblyAsmPrinter.cpp   |  16 +-
 .../lib/Target/WebAssembly/WebAssemblyFastISel.cpp |   1 +
 .../WebAssembly/WebAssemblyFrameLowering.cpp       |   2 +-
 .../WebAssemblyLowerEmscriptenEHSjLj.cpp           |  41 +-
 .../WebAssemblyLowerRefTypesIntPtrConv.cpp         |   2 +-
 .../Target/WebAssembly/WebAssemblyMCInstLower.cpp  |  34 +-
 .../WebAssembly/WebAssemblyMachineFunctionInfo.cpp |  18 +-
 .../WebAssembly/WebAssemblyMachineFunctionInfo.h   |   4 +
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        | 230 ++++++---
 .../llvm/lib/Target/X86/X86LowerAMXType.cpp        |   2 +
 .../llvm/lib/Transforms/Coroutines/CoroFrame.cpp   |   1 +
 .../llvm/lib/Transforms/IPO/ArgumentPromotion.cpp  |  59 ++-
 .../llvm/lib/Transforms/IPO/Attributor.cpp         | 244 ++++++++-
 .../lib/Transforms/IPO/AttributorAttributes.cpp    | 560 ++++++++++++++-------
 .../lib/Transforms/IPO/CalledValuePropagation.cpp  |   1 +
 .../llvm/lib/Transforms/IPO/GlobalOpt.cpp          |  27 +-
 .../llvm/lib/Transforms/IPO/IROutliner.cpp         |   7 +
 .../llvm/lib/Transforms/IPO/LowerTypeTests.cpp     |   1 +
 .../llvm/lib/Transforms/IPO/OpenMPOpt.cpp          | 233 ++++++++-
 .../llvm/lib/Transforms/IPO/SampleProfileProbe.cpp |   1 +
 .../lib/Transforms/IPO/ThinLTOBitcodeWriter.cpp    |   2 +-
 .../llvm/lib/Transforms/IPO/WholeProgramDevirt.cpp |   2 +-
 .../Transforms/InstCombine/InstCombineCalls.cpp    |  26 +-
 .../Transforms/InstCombine/InstCombineCompares.cpp |  52 ++
 .../lib/Transforms/InstCombine/InstCombinePHI.cpp  | 285 ++++++-----
 .../InstCombine/InstCombineSimplifyDemanded.cpp    |  15 +-
 .../InstCombine/InstructionCombining.cpp           |   1 +
 .../Instrumentation/AddressSanitizer.cpp           |  12 +-
 .../Instrumentation/HWAddressSanitizer.cpp         |  26 +-
 .../Transforms/Instrumentation/InstrProfiling.cpp  | 123 +++--
 .../lib/Transforms/Instrumentation/MemProfiler.cpp |   1 +
 .../Transforms/Instrumentation/MemorySanitizer.cpp |  48 +-
 .../Instrumentation/PGOInstrumentation.cpp         |  82 ++-
 .../llvm/lib/Transforms/ObjCARC/ObjCARC.cpp        |  13 +-
 .../llvm/lib/Transforms/ObjCARC/ObjCARC.h          |   6 +-
 .../lib/Transforms/ObjCARC/ObjCARCContract.cpp     |  25 +-
 .../llvm/lib/Transforms/ObjCARC/ObjCARCOpts.cpp    |   2 +-
 .../lib/Transforms/Scalar/DFAJumpThreading.cpp     |  20 +-
 .../llvm/lib/Transforms/Scalar/LoopFuse.cpp        |   3 +-
 .../lib/Transforms/Scalar/LoopIdiomRecognize.cpp   |  33 +-
 .../llvm/lib/Transforms/Scalar/LoopSimplifyCFG.cpp |   2 +-
 .../llvm/lib/Transforms/Scalar/LoopUnrollPass.cpp  |   2 +-
 .../Transforms/Scalar/LowerMatrixIntrinsics.cpp    |  17 +-
 .../llvm/lib/Transforms/Scalar/NewGVN.cpp          |  28 +-
 .../Transforms/Scalar/RewriteStatepointsForGC.cpp  | 147 +++---
 .../llvm/lib/Transforms/Scalar/SROA.cpp            |   1 +
 .../llvm/lib/Transforms/Scalar/StructurizeCFG.cpp  |  25 +
 .../llvm/lib/Transforms/Utils/BasicBlockUtils.cpp  |   4 +-
 .../llvm/lib/Transforms/Utils/CloneFunction.cpp    |  53 +-
 .../llvm/lib/Transforms/Utils/CodeExtractor.cpp    |   5 +-
 .../llvm/lib/Transforms/Utils/GlobalStatus.cpp     |  25 +-
 .../llvm/lib/Transforms/Utils/InlineFunction.cpp   |   8 +-
 .../llvm/lib/Transforms/Utils/Local.cpp            |   1 +
 .../llvm/lib/Transforms/Utils/LoopPeel.cpp         |  60 ++-
 .../llvm/lib/Transforms/Utils/ModuleUtils.cpp      |  13 +
 .../llvm/lib/Transforms/Utils/NameAnonGlobals.cpp  |   1 +
 .../Transforms/Utils/PromoteMemoryToRegister.cpp   |   3 +-
 .../llvm/lib/Transforms/Utils/Utils.cpp            |   1 +
 .../llvm/lib/Transforms/Utils/VNCoercion.cpp       |   1 +
 .../lib/Transforms/Vectorize/LoopVectorize.cpp     | 161 +++---
 .../lib/Transforms/Vectorize/SLPVectorizer.cpp     | 198 +++++++-
 .../lib/Transforms/Vectorize/VPRecipeBuilder.h     |   3 +-
 .../llvm/lib/Transforms/Vectorize/VPlan.cpp        |   6 +
 .../llvm/lib/Transforms/Vectorize/VPlan.h          |  89 +++-
 .../lib/Transforms/Vectorize/VPlanTransforms.cpp   |  17 +-
 .../llvm/lib/Transforms/Vectorize/Vectorize.cpp    |   1 +
 .../llvm-project/llvm/tools/llvm-ar/llvm-ar.cpp    |  16 +-
 .../llvm-project/llvm/tools/llvm-as/llvm-as.cpp    |   2 +-
 .../llvm/tools/llvm-extract/llvm-extract.cpp       |   1 +
 .../llvm-project/llvm/tools/llvm-lto/llvm-lto.cpp  |   6 +-
 .../llvm-objcopy/MachO/MachOLayoutBuilder.cpp      |   1 +
 .../llvm/tools/llvm-profdata/llvm-profdata.cpp     |  22 +-
 .../llvm/tools/llvm-readobj/ELFDumper.cpp          |   1 +
 .../llvm/tools/llvm-readobj/WasmDumper.cpp         |   5 +-
 .../llvm/tools/llvm-stress/llvm-stress.cpp         |   3 +-
 .../llvm/utils/TableGen/CodeGenDAGPatterns.cpp     |  40 +-
 .../llvm/utils/TableGen/CodeGenSchedule.cpp        |  13 +-
 .../llvm/utils/TableGen/CompressInstEmitter.cpp    |   1 -
 .../llvm/utils/TableGen/GICombinerEmitter.cpp      |  12 +-
 .../utils/TableGen/GlobalISel/CodeExpander.cpp     |   1 -
 .../llvm/utils/TableGen/GlobalISel/CodeExpander.h  |   2 +-
 .../llvm/utils/TableGen/GlobalISel/GIMatchDag.h    |   1 -
 .../utils/TableGen/GlobalISel/GIMatchDagEdge.cpp   |   1 +
 .../utils/TableGen/GlobalISel/GIMatchDagInstr.h    |   5 +-
 .../TableGen/GlobalISel/GIMatchDagPredicate.cpp    |   2 +-
 .../TableGen/GlobalISel/GIMatchDagPredicate.h      |   6 +-
 .../GIMatchDagPredicateDependencyEdge.cpp          |   1 +
 .../GlobalISel/GIMatchDagPredicateDependencyEdge.h |   6 +-
 .../llvm/utils/TableGen/GlobalISel/GIMatchTree.cpp |   1 +
 .../llvm/utils/TableGen/GlobalISelEmitter.cpp      |   2 -
 .../llvm/utils/TableGen/InfoByHwMode.cpp           |   1 -
 .../llvm/utils/TableGen/InfoByHwMode.h             |   2 -
 .../llvm/utils/TableGen/IntrinsicEmitter.cpp       |   1 -
 .../llvm/utils/TableGen/OptParserEmitter.cpp       |   1 -
 .../llvm/utils/TableGen/OptRSTEmitter.cpp          |   7 -
 .../llvm/utils/TableGen/PredicateExpander.h        |   4 +-
 .../llvm/utils/TableGen/RegisterBankEmitter.cpp    |   1 -
 .../llvm/utils/TableGen/SearchableTableEmitter.cpp |   5 -
 .../llvm-project/llvm/utils/TableGen/TableGen.cpp  |   3 +-
 .../TableGen/WebAssemblyDisassemblerEmitter.cpp    |   3 +
 .../TableGen/WebAssemblyDisassemblerEmitter.h      |   5 +-
 .../llvm/utils/TableGen/X86DisassemblerTables.cpp  |   5 +-
 .../llvm/utils/TableGen/X86DisassemblerTables.h    |   7 +-
 .../llvm/utils/TableGen/X86FoldTablesEmitter.cpp   |   2 -
 .../llvm/utils/TableGen/X86RecognizableInstr.cpp   |   2 +
 .../llvm/utils/TableGen/X86RecognizableInstr.h     |  11 +-
 contrib/llvm-project/openmp/runtime/src/dllexports |   3 +
 .../openmp/runtime/src/kmp_ftn_entry.h             | 114 +++++
 .../llvm-project/openmp/runtime/src/kmp_ftn_os.h   |  32 ++
 lib/clang/include/VCSVersion.inc                   |   8 +-
 lib/clang/include/clang/Config/config.h            |   2 +-
 lib/clang/include/lldb/Version/Version.inc         |   4 +-
 lib/clang/include/llvm/Config/config.h             |   4 +-
 lib/clang/include/llvm/Config/llvm-config.h        |   2 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |   2 +-
 lib/libc++/Makefile                                |   4 +
 tools/build/mk/OptionalObsoleteFiles.inc           |   4 +
 808 files changed, 9713 insertions(+), 5588 deletions(-)
Comment 37 commit-hook freebsd_committer 2022-05-14 11:51:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=4824e7fd18a1223177218d4aec1b3c6c5c4a444e

commit 4824e7fd18a1223177218d4aec1b3c6c5c4a444e
Merge: 5e801ac66d24 f65dcba83ce5
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-12-02 21:49:08 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:43:49 +0000

    Merge llvm-project main llvmorg-14-init-11187-g222442ec2d71

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14-init-11187-g222442ec2d71.

    PR:             261742
    MFC after:      2 weeks

 contrib/llvm-project/FREEBSD-Xlist                 |    2 +
 .../llvm-project/clang/include/clang/AST/Decl.h    |    7 +-
 .../clang/include/clang/AST/DeclBase.h             |    6 +-
 .../llvm-project/clang/include/clang/AST/Expr.h    |    4 +
 .../clang/include/clang/AST/GlobalDecl.h           |    9 +-
 .../clang/include/clang/ASTMatchers/ASTMatchers.h  |    7 +-
 .../clang/include/clang/Analysis/CFG.h             |    2 +-
 .../FlowSensitive/DataflowAnalysis.h (new)         |  134 +
 .../FlowSensitive/DataflowEnvironment.h (new)      |   27 +
 .../Analysis/FlowSensitive/DataflowLattice.h (new) |   29 +
 .../TypeErasedDataflowAnalysis.h (new)             |   95 +
 .../llvm-project/clang/include/clang/Basic/Attr.td |   34 +
 .../clang/include/clang/Basic/AttrDocs.td          |   34 +
 .../clang/include/clang/Basic/Builtins.def         |   13 +
 .../clang/include/clang/Basic/BuiltinsPPC.def      |    7 +
 .../include/clang/Basic/DiagnosticDriverKinds.td   |    8 +
 .../clang/include/clang/Basic/DiagnosticGroups.td  |   14 +-
 .../clang/include/clang/Basic/DiagnosticIDs.h      |    2 +-
 .../include/clang/Basic/DiagnosticParseKinds.td    |    3 +
 .../include/clang/Basic/DiagnosticSemaKinds.td     |   42 +-
 .../clang/include/clang/Basic/SyncScope.h          |   73 +-
 .../clang/include/clang/Driver/Options.td          |   28 +-
 .../include/clang/Frontend/PrecompiledPreamble.h   |    4 +-
 .../llvm-project/clang/include/clang/Sema/Sema.h   |   29 +-
 .../DependencyScanningFilesystem.h                 |   16 +-
 contrib/llvm-project/clang/lib/AST/ASTContext.cpp  |    9 +
 .../clang/lib/AST/ASTStructuralEquivalence.cpp     |   42 +
 contrib/llvm-project/clang/lib/AST/Decl.cpp        |    6 +
 contrib/llvm-project/clang/lib/AST/DeclBase.cpp    |    4 +-
 contrib/llvm-project/clang/lib/AST/Expr.cpp        |   12 +-
 .../llvm-project/clang/lib/AST/ExprConstant.cpp    |    2 +-
 .../llvm-project/clang/lib/AST/MicrosoftMangle.cpp |  103 +-
 contrib/llvm-project/clang/lib/AST/StmtPrinter.cpp |    3 +-
 .../TypeErasedDataflowAnalysis.cpp (new)           |   35 +
 .../clang/lib/Basic/Targets/AArch64.cpp            |    4 +-
 .../llvm-project/clang/lib/Basic/Targets/ARM.cpp   |   32 +
 contrib/llvm-project/clang/lib/Basic/Targets/ARM.h |    3 +
 .../clang/lib/Basic/Targets/OSTargets.cpp          |   14 +-
 .../llvm-project/clang/lib/Basic/Targets/SPIR.h    |   38 +-
 .../llvm-project/clang/lib/Basic/Targets/X86.cpp   |   14 +-
 .../llvm-project/clang/lib/CodeGen/BackendUtil.cpp |   20 +-
 .../llvm-project/clang/lib/CodeGen/CGAtomic.cpp    |   46 +
 .../llvm-project/clang/lib/CodeGen/CGBuiltin.cpp   |    3 +-
 .../clang/lib/CodeGen/CGStmtOpenMP.cpp             |    3 +
 .../clang/lib/CodeGen/CodeGenModule.cpp            |  132 +-
 .../llvm-project/clang/lib/CodeGen/CodeGenModule.h |    1 +
 .../llvm-project/clang/lib/CodeGen/TargetInfo.cpp  |   34 +-
 contrib/llvm-project/clang/lib/Driver/Driver.cpp   |    7 +-
 .../clang/lib/Driver/ToolChains/Clang.cpp          |  121 +-
 .../clang/lib/Driver/ToolChains/Cuda.cpp           |    2 +-
 .../clang/lib/Driver/ToolChains/Flang.cpp          |    3 +-
 .../clang/lib/Driver/ToolChains/FreeBSD.cpp        |    3 +-
 .../clang/lib/Driver/ToolChains/Linux.cpp          |    3 +
 .../lib/Driver/ToolChains/PPCFreeBSD.cpp (new)     |   28 +
 .../clang/lib/Driver/ToolChains/PPCFreeBSD.h (new) |   33 +
 .../clang/lib/Driver/ToolChains/PS4CPU.h           |    1 +
 .../clang/lib/Format/ContinuationIndenter.cpp      |   13 +-
 contrib/llvm-project/clang/lib/Format/Format.cpp   |   13 +-
 .../llvm-project/clang/lib/Format/FormatToken.h    |    1 +
 .../clang/lib/Format/FormatTokenLexer.cpp          |   49 +-
 .../clang/lib/Format/SortJavaScriptImports.cpp     |    4 +-
 .../clang/lib/Format/TokenAnalyzer.cpp             |    8 +-
 .../clang/lib/Format/TokenAnnotator.cpp            |   80 +-
 .../clang/lib/Format/UnwrappedLineFormatter.cpp    |   23 +-
 .../clang/lib/Format/UnwrappedLineParser.cpp       |  159 +-
 .../clang/lib/Format/UnwrappedLineParser.h         |    1 +
 .../clang/lib/Format/WhitespaceManager.cpp         |   13 +-
 .../clang/lib/Frontend/InitPreprocessor.cpp        |    5 +
 .../clang/lib/Frontend/PrecompiledPreamble.cpp     |    5 +-
 .../lib/Frontend/Rewrite/RewriteModernObjC.cpp     |    2 +-
 .../clang/lib/Frontend/Rewrite/RewriteObjC.cpp     |    2 +-
 contrib/llvm-project/clang/lib/Headers/altivec.h   |   60 +
 .../clang/lib/Headers/ppc_wrappers/emmintrin.h     |    5 +-
 .../clang/lib/Headers/ppc_wrappers/mm_malloc.h     |    2 +-
 .../clang/lib/Headers/ppc_wrappers/mmintrin.h      |    5 +-
 .../clang/lib/Headers/ppc_wrappers/pmmintrin.h     |    5 +-
 .../clang/lib/Headers/ppc_wrappers/smmintrin.h     |    5 +-
 .../clang/lib/Headers/ppc_wrappers/tmmintrin.h     |    5 +-
 .../clang/lib/Headers/ppc_wrappers/xmmintrin.h     |    5 +-
 contrib/llvm-project/clang/lib/Headers/stdatomic.h |    6 +-
 contrib/llvm-project/clang/lib/Parse/ParseDecl.cpp |   14 +-
 contrib/llvm-project/clang/lib/Parse/ParseStmt.cpp |    3 +
 .../clang/lib/Sema/AnalysisBasedWarnings.cpp       |    2 +-
 .../llvm-project/clang/lib/Sema/SemaChecking.cpp   |   36 +-
 contrib/llvm-project/clang/lib/Sema/SemaDecl.cpp   |  118 +-
 .../llvm-project/clang/lib/Sema/SemaDeclAttr.cpp   |  161 +-
 contrib/llvm-project/clang/lib/Sema/SemaExpr.cpp   |   15 +
 .../llvm-project/clang/lib/Sema/SemaExprCXX.cpp    |    5 +-
 contrib/llvm-project/clang/lib/Sema/SemaStmt.cpp   |    9 +-
 .../clang/lib/StaticAnalyzer/Core/CoreEngine.cpp   |    4 +-
 .../StaticAnalyzer/Core/RangeConstraintManager.cpp |   39 +-
 .../lib/StaticAnalyzer/Core/SimpleSValBuilder.cpp  |   62 +-
 .../StaticAnalyzer/Frontend/AnalysisConsumer.cpp   |   26 +-
 .../DependencyScanningFilesystem.cpp               |   59 +-
 .../DependencyScanningWorker.cpp                   |   21 +-
 .../clang/utils/TableGen/ASTTableGen.cpp           |    2 +-
 .../include/profile/MemProfData.inc (new)          |   61 +
 .../compiler-rt/lib/asan/asan_interceptors.cpp     |   35 +-
 .../compiler-rt/lib/asan/asan_report.cpp           |    4 +
 .../llvm-project/compiler-rt/lib/asan/asan_rtl.cpp |    8 +-
 contrib/llvm-project/compiler-rt/lib/cfi/cfi.cpp   |    4 +-
 .../compiler-rt/lib/memprof/memprof_allocator.cpp  |    5 +-
 .../lib/memprof/memprof_interceptors.cpp           |    4 -
 .../compiler-rt/lib/memprof/memprof_rawprofile.cpp |   69 +-
 .../compiler-rt/lib/memprof/memprof_rawprofile.h   |   11 +-
 .../compiler-rt/lib/memprof/tests/rawprofile.cpp   |   17 +-
 .../compiler-rt/lib/profile/InstrProfilingMerge.c  |    3 +-
 .../lib/sanitizer_common/sanitizer_allocator.cpp   |   72 +-
 .../sanitizer_allocator_internal.h                 |    2 +
 .../lib/sanitizer_common/sanitizer_common.h        |    4 +
 .../sanitizer_common_interceptors.inc              |   11 +-
 .../lib/sanitizer_common/sanitizer_dense_map.h     |   53 +-
 .../sanitizer_common/sanitizer_dense_map_info.h    |  140 +-
 .../lib/sanitizer_common/sanitizer_fuchsia.cpp     |    9 +
 .../lib/sanitizer_common/sanitizer_leb128.h (new)  |   87 +
 .../lib/sanitizer_common/sanitizer_linux.cpp       |    5 +-
 .../lib/sanitizer_common/sanitizer_mac.cpp         |   40 +-
 .../lib/sanitizer_common/sanitizer_stack_store.cpp |  221 +-
 .../lib/sanitizer_common/sanitizer_stack_store.h   |   92 +-
 .../lib/sanitizer_common/sanitizer_stackdepot.cpp  |   16 +-
 .../lib/sanitizer_common/sanitizer_stacktrace.h    |    2 +-
 .../lib/sanitizer_common/sanitizer_win.cpp         |    5 +
 .../compiler-rt/lib/tsan/rtl/tsan_defs.h           |    1 +
 .../lib/tsan/rtl/tsan_interceptors_posix.cpp       |   47 +-
 .../compiler-rt/lib/tsan/rtl/tsan_mman.cpp         |   32 +-
 .../compiler-rt/lib/tsan/rtl/tsan_mman.h           |    2 +
 .../compiler-rt/lib/tsan/rtl/tsan_platform_mac.cpp |  143 +-
 .../compiler-rt/lib/tsan/rtl/tsan_rtl.cpp          |   56 +-
 .../compiler-rt/lib/tsan/rtl/tsan_rtl_report.cpp   |    2 +-
 contrib/llvm-project/libcxx/CREDITS.TXT            |    4 +
 .../libcxx/include/__bit/byteswap.h (new)          |   55 +
 .../libcxx/include/__bsd_locale_fallbacks.h        |    6 +-
 .../libcxx/include/__compare/partial_order.h (new) |   71 +
 .../libcxx/include/__compare/strong_order.h (new)  |  136 +
 .../libcxx/include/__compare/weak_order.h (new)    |  100 +
 contrib/llvm-project/libcxx/include/__config       |   35 +-
 .../libcxx/include/__iterator/reverse_iterator.h   |   12 +
 .../libcxx/include/__iterator/wrap_iter.h          |   86 +-
 .../libcxx/include/__memory/allocator_traits.h     |    8 -
 .../libcxx/include/__memory/unique_ptr.h           |   14 +-
 .../libcxx/include/__numeric/accumulate.h (new)    |   52 +
 .../include/__numeric/adjacent_difference.h (new)  |   72 +
 .../include/__numeric/exclusive_scan.h (new)       |   53 +
 .../libcxx/include/__numeric/gcd_lcm.h (new)       |   96 +
 .../include/__numeric/inclusive_scan.h (new)       |   60 +
 .../libcxx/include/__numeric/inner_product.h (new) |   53 +
 .../libcxx/include/__numeric/iota.h (new)          |   32 +
 .../libcxx/include/__numeric/midpoint.h (new)      |   85 +
 .../libcxx/include/__numeric/partial_sum.h (new)   |   70 +
 .../libcxx/include/__numeric/reduce.h (new)        |   47 +
 .../__numeric/transform_exclusive_scan.h (new)     |   49 +
 .../__numeric/transform_inclusive_scan.h (new)     |   58 +
 .../include/__numeric/transform_reduce.h (new)     |   54 +
 .../__random/bernoulli_distribution.h (new)        |  143 +
 .../include/__random/binomial_distribution.h (new) |  225 +
 .../include/__random/cauchy_distribution.h (new)   |  162 +
 .../__random/chi_squared_distribution.h (new)      |  144 +
 .../include/__random/default_random_engine.h (new) |   25 +
 .../include/__random/discard_block_engine.h (new)  |  203 +
 .../include/__random/discrete_distribution.h (new) |  260 +
 .../__random/exponential_distribution.h (new)      |  155 +
 .../__random/extreme_value_distribution.h (new)    |  161 +
 .../include/__random/fisher_f_distribution.h (new) |  160 +
 .../include/__random/gamma_distribution.h (new)    |  213 +
 .../include/__random/generate_canonical.h (new)    |   53 +
 .../__random/geometric_distribution.h (new)        |  141 +
 .../__random/independent_bits_engine.h (new)       |  271 +
 .../include/__random/is_seed_sequence.h (new)      |   31 +
 .../libcxx/include/__random/knuth_b.h (new)        |   26 +
 .../__random/linear_congruential_engine.h (new)    |  398 ++
 .../libcxx/include/__random/log2.h (new)           |   74 +
 .../__random/lognormal_distribution.h (new)        |  163 +
 .../__random/mersenne_twister_engine.h (new)       |  534 ++
 .../negative_binomial_distribution.h (new)         |  176 +
 .../include/__random/normal_distribution.h (new)   |  208 +
 .../piecewise_constant_distribution.h (new)        |  356 ++
 .../__random/piecewise_linear_distribution.h (new) |  372 ++
 .../include/__random/poisson_distribution.h (new)  |  276 +
 .../libcxx/include/__random/random_device.h (new)  |   71 +
 .../libcxx/include/__random/ranlux.h (new)         |   31 +
 .../libcxx/include/__random/seed_seq.h (new)       |  150 +
 .../include/__random/shuffle_order_engine.h (new)  |  283 ++
 .../__random/student_t_distribution.h (new)        |  153 +
 .../__random/subtract_with_carry_engine.h (new)    |  352 ++
 .../include/__random/uniform_int_distribution.h    |   38 +-
 .../__random/uniform_random_bit_generator.h (new)  |   45 +
 .../__random/uniform_real_distribution.h (new)     |  160 +
 .../include/__random/weibull_distribution.h (new)  |  155 +
 .../libcxx/include/__ranges/concepts.h             |    2 +-
 .../libcxx/include/__utility/priority_tag.h (new)  |   26 +
 contrib/llvm-project/libcxx/include/bit            |   13 +-
 contrib/llvm-project/libcxx/include/compare        |   21 +-
 contrib/llvm-project/libcxx/include/deque          |   59 +-
 contrib/llvm-project/libcxx/include/filesystem     |   18 +-
 contrib/llvm-project/libcxx/include/format         |  127 +-
 contrib/llvm-project/libcxx/include/forward_list   |   29 +-
 contrib/llvm-project/libcxx/include/list           |   50 +-
 .../llvm-project/libcxx/include/module.modulemap   |   57 +-
 contrib/llvm-project/libcxx/include/numeric        |  489 +-
 contrib/llvm-project/libcxx/include/random         | 5364 +-------------------
 contrib/llvm-project/libcxx/include/ranges         |    2 +-
 contrib/llvm-project/libcxx/include/string_view    |   63 +-
 contrib/llvm-project/libcxx/include/type_traits    |    4 +-
 contrib/llvm-project/libcxx/include/utility        |    1 +
 contrib/llvm-project/libcxx/include/vector         |   62 +-
 contrib/llvm-project/libcxx/include/version        |    6 +-
 .../libcxx/src/filesystem/filesystem_common.h      |   10 +-
 .../llvm-project/libunwind/src/Unwind-EHABI.cpp    |   29 +-
 contrib/llvm-project/lld/COFF/Chunks.cpp           |    3 +-
 contrib/llvm-project/lld/COFF/Writer.cpp           |    6 +
 contrib/llvm-project/lld/ELF/AArch64ErrataFix.cpp  |    4 +-
 contrib/llvm-project/lld/ELF/ARMErrataFix.cpp      |    4 +-
 contrib/llvm-project/lld/ELF/Arch/ARM.cpp          |  202 +-
 contrib/llvm-project/lld/ELF/Arch/Hexagon.cpp      |    2 +-
 contrib/llvm-project/lld/ELF/Arch/RISCV.cpp        |    2 +-
 contrib/llvm-project/lld/ELF/Arch/X86.cpp          |    9 +-
 contrib/llvm-project/lld/ELF/Arch/X86_64.cpp       |   60 +-
 contrib/llvm-project/lld/ELF/Config.h              |   19 +-
 contrib/llvm-project/lld/ELF/Driver.cpp            |   45 +-
 contrib/llvm-project/lld/ELF/ICF.cpp               |    8 +-
 contrib/llvm-project/lld/ELF/InputFiles.cpp        |   56 +-
 contrib/llvm-project/lld/ELF/InputFiles.h          |   28 +-
 contrib/llvm-project/lld/ELF/InputSection.cpp      |    4 +-
 contrib/llvm-project/lld/ELF/InputSection.h        |   16 +-
 contrib/llvm-project/lld/ELF/LTO.cpp               |    2 +-
 contrib/llvm-project/lld/ELF/LinkerScript.cpp      |  301 +-
 contrib/llvm-project/lld/ELF/LinkerScript.h        |   59 +-
 contrib/llvm-project/lld/ELF/MapFile.cpp           |   96 +-
 contrib/llvm-project/lld/ELF/MapFile.h             |    3 +-
 contrib/llvm-project/lld/ELF/Options.td            |   30 +-
 contrib/llvm-project/lld/ELF/OutputSections.cpp    |   48 +-
 contrib/llvm-project/lld/ELF/OutputSections.h      |    7 +-
 contrib/llvm-project/lld/ELF/Relocations.cpp       |   72 +-
 contrib/llvm-project/lld/ELF/ScriptParser.cpp      |   70 +-
 contrib/llvm-project/lld/ELF/SymbolTable.cpp       |    2 +-
 contrib/llvm-project/lld/ELF/Symbols.cpp           |   41 +-
 contrib/llvm-project/lld/ELF/Symbols.h             |    6 +-
 contrib/llvm-project/lld/ELF/SyntheticSections.cpp |  156 +-
 contrib/llvm-project/lld/ELF/SyntheticSections.h   |   15 +-
 contrib/llvm-project/lld/ELF/Thunks.cpp            |   64 +-
 contrib/llvm-project/lld/ELF/Writer.cpp            |  244 +-
 contrib/llvm-project/lld/ELF/Writer.h              |    1 -
 contrib/llvm-project/lld/MachO/InputSection.cpp    |    7 +-
 contrib/llvm-project/lld/MachO/Symbols.h           |    7 +-
 .../llvm-project/lld/MachO/SyntheticSections.cpp   |   22 +-
 .../llvm-project/lld/MachO/UnwindInfoSection.cpp   |    5 +-
 contrib/llvm-project/lld/docs/ReleaseNotes.rst     |    5 +
 contrib/llvm-project/lld/docs/ld.lld.1             |   18 +-
 .../lldb/bindings/interface/SBDebugger.i           |    3 +
 .../lldb/bindings/interface/SBTarget.i             |    3 +
 .../llvm-project/lldb/bindings/interface/SBValue.i |    3 +
 .../lldb/bindings/python/python-swigsafecast.swig  |   58 +-
 .../lldb/bindings/python/python-wrapper.swig       |  299 +-
 .../llvm-project/lldb/bindings/python/python.swig  |    1 +
 .../lldb/include/lldb/API/SBDebugger.h             |    2 +
 .../llvm-project/lldb/include/lldb/API/SBTarget.h  |    5 +
 .../llvm-project/lldb/include/lldb/API/SBValue.h   |    6 +
 .../llvm-project/lldb/include/lldb/Core/Debugger.h |    8 +-
 .../include/lldb/Interpreter/OptionGroupFormat.h   |    9 +-
 .../lldb/include/lldb/Symbol/ObjectFile.h          |   28 +-
 .../llvm-project/lldb/include/lldb/Symbol/Symtab.h |    9 +-
 .../lldb/include/lldb/Target/Platform.h            |   24 +-
 .../lldb/include/lldb/Target/Process.h             |   38 +-
 .../llvm-project/lldb/source/API/SBDebugger.cpp    |   62 +-
 contrib/llvm-project/lldb/source/API/SBTarget.cpp  |   11 +
 contrib/llvm-project/lldb/source/API/SBValue.cpp   |   13 +
 .../lldb/source/Commands/CommandObjectMemory.cpp   |   17 +-
 contrib/llvm-project/lldb/source/Core/Debugger.cpp |   89 +
 contrib/llvm-project/lldb/source/Core/Module.cpp   |   11 +-
 .../lldb/source/Interpreter/CommandObject.cpp      |    3 +
 .../lldb/source/Interpreter/OptionGroupFormat.cpp  |   40 +-
 .../ExpressionParser/Clang/ClangUserExpression.cpp |    2 +-
 .../Clang/CppModuleConfiguration.cpp               |   63 +-
 .../Clang/CppModuleConfiguration.h                 |   13 +-
 .../Language/CPlusPlus/CPlusPlusLanguage.cpp       |   22 +-
 .../Plugins/Language/CPlusPlus/GenericBitset.cpp   |    3 +-
 .../Plugins/Language/CPlusPlus/LibCxxOptional.cpp  |    2 +-
 .../Language/CPlusPlus/LibCxxUnorderedMap.cpp      |   13 +-
 .../ObjectFile/Breakpad/ObjectFileBreakpad.cpp     |    7 +-
 .../ObjectFile/Breakpad/ObjectFileBreakpad.h       |    2 +-
 .../Plugins/ObjectFile/ELF/ObjectFileELF.cpp       |  244 +-
 .../source/Plugins/ObjectFile/ELF/ObjectFileELF.h  |   11 +-
 .../Plugins/ObjectFile/JIT/ObjectFileJIT.cpp       |   21 +-
 .../source/Plugins/ObjectFile/JIT/ObjectFileJIT.h  |    2 +-
 .../source/Plugins/ObjectFile/PDB/ObjectFilePDB.h  |    2 +-
 .../Plugins/ObjectFile/wasm/ObjectFileWasm.cpp     |    2 +-
 .../Plugins/ObjectFile/wasm/ObjectFileWasm.h       |    2 +-
 .../Platform/QemuUser/PlatformQemuUser.cpp (new)   |  148 +
 .../Platform/QemuUser/PlatformQemuUser.h (new)     |   57 +
 .../QemuUser/PlatformQemuUserProperties.td (new)   |   12 +
 .../Plugins/Process/elf-core/ProcessElfCore.cpp    |    4 +-
 .../Plugins/Process/elf-core/ProcessElfCore.h      |    8 +-
 .../Process/gdb-remote/GDBRemoteCommunication.cpp  |   96 +-
 .../Process/gdb-remote/GDBRemoteCommunication.h    |   23 -
 .../gdb-remote/GDBRemoteCommunicationClient.cpp    |   13 +-
 .../gdb-remote/GDBRemoteCommunicationServer.cpp    |    6 +-
 .../gdb-remote/GDBRemoteCommunicationServer.h      |    4 -
 .../GDBRemoteCommunicationServerLLGS.cpp           |   12 -
 .../gdb-remote/GDBRemoteCommunicationServerLLGS.h  |    1 -
 .../Process/gdb-remote/ProcessGDBRemote.cpp        |   62 +-
 .../Plugins/Process/gdb-remote/ProcessGDBRemote.h  |   10 +-
 .../Plugins/Process/minidump/ProcessMinidump.cpp   |    6 +-
 .../Plugins/Process/minidump/ProcessMinidump.h     |    6 +-
 .../Plugins/Process/scripted/ScriptedProcess.cpp   |    4 +-
 .../Plugins/Process/scripted/ScriptedProcess.h     |    6 +-
 .../ScriptInterpreter/Python/SWIGPythonBridge.h    |  152 +-
 .../Python/ScriptInterpreterPython.cpp             |  183 +-
 .../SymbolFile/Breakpad/SymbolFileBreakpad.cpp     |    3 +-
 .../Plugins/SymbolFile/DWARF/SymbolFileDWARF.cpp   |   12 +-
 .../SymbolFile/NativePDB/SymbolFileNativePDB.cpp   |    5 +-
 .../Plugins/SymbolFile/PDB/SymbolFilePDB.cpp       |    1 -
 .../Plugins/TypeSystem/Clang/TypeSystemClang.cpp   |    2 +-
 .../llvm-project/lldb/source/Symbol/ObjectFile.cpp |   38 +-
 contrib/llvm-project/lldb/source/Symbol/Symtab.cpp |    9 +-
 .../llvm-project/lldb/source/Target/Platform.cpp   |   40 +-
 .../llvm-project/lldb/source/Target/Process.cpp    |    7 -
 .../lldb/source/Target/RemoteAwarePlatform.cpp     |   11 +-
 contrib/llvm-project/lldb/tools/driver/Driver.cpp  |   88 +-
 .../lldb/tools/lldb-server/lldb-platform.cpp       |   26 +-
 contrib/llvm-project/llvm/include/llvm-c/Core.h    |   11 +
 contrib/llvm-project/llvm/include/llvm/ADT/APInt.h |    4 +-
 .../llvm/include/llvm/ADT/SCCIterator.h            |  133 +
 .../llvm-project/llvm/include/llvm/ADT/STLExtras.h |   31 +-
 .../llvm/include/llvm/Analysis/IVDescriptors.h     |    8 +
 .../llvm-project/llvm/include/llvm/Analysis/Lint.h |    9 +-
 .../llvm/include/llvm/Analysis/ScalarEvolution.h   |   29 +-
 .../include/llvm/Analysis/TargetLibraryInfo.def    |    6 +
 .../llvm/include/llvm/Analysis/VectorUtils.h       |    2 +-
 .../llvm/include/llvm/BinaryFormat/ELF.h           |    7 +
 .../llvm/include/llvm/CodeGen/CommandFlags.h       |    5 +
 .../llvm/CodeGen/GlobalISel/CombinerHelper.h       |   49 +
 .../llvm/CodeGen/GlobalISel/MIPatternMatch.h       |   42 +
 .../llvm/include/llvm/CodeGen/GlobalISel/Utils.h   |   12 +
 .../llvm/include/llvm/CodeGen/MachineFunction.h    |    3 +-
 .../include/llvm/CodeGen/TargetFrameLowering.h     |   14 +-
 .../llvm/include/llvm/CodeGen/TargetInstrInfo.h    |    6 +
 .../llvm/include/llvm/CodeGen/TargetLowering.h     |   65 +-
 .../include/llvm/DebugInfo/DWARF/DWARFContext.h    |    5 +
 .../include/llvm/DebugInfo/DWARF/DWARFVerifier.h   |    5 +-
 .../llvm/include/llvm/ExecutionEngine/Orc/Core.h   |  175 +-
 .../include/llvm/Frontend/OpenMP/OMPConstants.h    |    4 +
 .../llvm-project/llvm/include/llvm/IR/IRBuilder.h  |  125 -
 .../llvm/include/llvm/IR/Instructions.h            |   18 -
 .../llvm/include/llvm/IR/IntrinsicsPowerPC.td      |   18 +
 .../llvm-project/llvm/include/llvm/IR/Operator.h   |    8 +
 .../llvm/include/llvm/IR/PatternMatch.h            |   25 +
 contrib/llvm-project/llvm/include/llvm/IR/Type.h   |    2 +
 .../llvm/include/llvm/IR/VPIntrinsics.def          |  156 +-
 .../llvm-project/llvm/include/llvm/IR/Verifier.h   |    6 +-
 .../include/llvm/MCA/HardwareUnits/Scheduler.h     |    7 +-
 .../llvm/include/llvm/ObjectYAML/MachOYAML.h       |    1 +
 .../include/llvm/ProfileData/MemProfData.inc (new) |   61 +
 .../llvm/ProfileData/RawMemProfReader.h (new)      |   43 +
 .../include/llvm/Support/AArch64TargetParser.def   |    3 +-
 .../include/llvm/Support/AArch64TargetParser.h     |    9 -
 .../llvm/include/llvm/Support/ARMAttributeParser.h |    4 +
 .../llvm/include/llvm/Support/ARMBuildAttributes.h |   24 +-
 .../llvm/include/llvm/Support/ARMTargetParser.def  |    1 +
 .../llvm/include/llvm/Support/ARMTargetParser.h    |    2 +-
 .../llvm/include/llvm/Support/GenericDomTree.h     |   16 +-
 .../llvm/include/llvm/Support/HTTPClient.h (new)   |  113 +
 .../llvm-project/llvm/include/llvm/Support/Mutex.h |    4 +-
 .../llvm/include/llvm/Support/RWMutex.h            |    8 +-
 .../llvm/include/llvm/Support/TargetParser.h       |   12 +
 .../llvm/include/llvm/Support/ThreadPool.h         |   70 +-
 .../llvm/include/llvm/Target/GlobalISel/Combine.td |   96 +-
 .../llvm/Transforms/IPO/ProfiledCallGraph.h        |  104 +-
 .../Transforms/Instrumentation/AddressSanitizer.h  |    2 +-
 .../llvm/Transforms/Scalar/AnnotationRemarks.h     |    1 +
 .../llvm/include/llvm/Transforms/Utils/Local.h     |    5 -
 .../include/llvm/Transforms/Utils/SSAUpdater.h     |    4 +
 .../Utils/SampleProfileInference.h (new)           |  284 ++
 .../Transforms/Utils/SampleProfileLoaderBaseImpl.h |  162 +-
 .../llvm/lib/Analysis/BranchProbabilityInfo.cpp    |  201 +-
 .../llvm/lib/Analysis/DivergenceAnalysis.cpp       |   10 +-
 .../llvm/lib/Analysis/IRSimilarityIdentifier.cpp   |    2 +-
 .../llvm/lib/Analysis/IVDescriptors.cpp            |   46 +-
 .../llvm/lib/Analysis/InstructionSimplify.cpp      |  184 +-
 .../llvm/lib/Analysis/IntervalPartition.cpp        |   16 +-
 .../llvm/lib/Analysis/LazyValueInfo.cpp            |   15 +-
 .../llvm/lib/Analysis/LoopAccessAnalysis.cpp       |   60 +-
 .../llvm/lib/Analysis/MemoryDependenceAnalysis.cpp |    6 +-
 .../llvm/lib/Analysis/MemoryLocation.cpp           |   22 +
 .../llvm/lib/Analysis/PHITransAddr.cpp             |    2 +-
 .../llvm-project/llvm/lib/Analysis/RegionPass.cpp  |    3 +
 .../llvm/lib/Analysis/ScalarEvolution.cpp          |  363 +-
 .../llvm/lib/Analysis/StackSafetyAnalysis.cpp      |  126 +-
 .../llvm/lib/Analysis/SyncDependenceAnalysis.cpp   |   59 +-
 .../llvm/lib/Analysis/TargetLibraryInfo.cpp        |   19 +-
 .../llvm/lib/Analysis/VFABIDemangling.cpp          |    1 -
 .../llvm-project/llvm/lib/AsmParser/LLParser.cpp   |   13 +-
 .../llvm/lib/Bitcode/Reader/BitcodeAnalyzer.cpp    |    4 +-
 .../llvm/lib/Bitcode/Reader/BitcodeReader.cpp      |    9 +-
 .../llvm/lib/Bitcode/Reader/MetadataLoader.cpp     |    7 +-
 .../llvm/lib/Bitcode/Writer/BitcodeWriter.cpp      |   28 +-
 .../llvm/lib/Bitcode/Writer/ValueEnumerator.cpp    |    4 +-
 .../llvm/lib/CodeGen/AggressiveAntiDepBreaker.cpp  |   26 +-
 .../llvm/lib/CodeGen/AsmPrinter/AsmPrinter.cpp     |   14 +-
 .../lib/CodeGen/AsmPrinter/AsmPrinterInlineAsm.cpp |  213 +-
 .../lib/CodeGen/AsmPrinter/DwarfCompileUnit.cpp    |  134 +-
 .../llvm/lib/CodeGen/AsmPrinter/DwarfCompileUnit.h |    8 +-
 .../llvm/lib/CodeGen/AsmPrinter/EHStreamer.cpp     |    8 +-
 .../llvm/lib/CodeGen/BranchFolding.cpp             |    4 +-
 .../llvm/lib/CodeGen/BranchRelaxation.cpp          |    4 +-
 contrib/llvm-project/llvm/lib/CodeGen/CodeGen.cpp  |    2 +
 .../llvm-project/llvm/lib/CodeGen/CommandFlags.cpp |   15 +-
 .../llvm/lib/CodeGen/CriticalAntiDepBreaker.cpp    |   16 +-
 .../lib/CodeGen/DeadMachineInstructionElim.cpp     |   11 +-
 .../llvm/lib/CodeGen/GlobalISel/CombinerHelper.cpp |  619 ++-
 .../lib/CodeGen/GlobalISel/LegalizerHelper.cpp     |   36 +-
 .../lib/CodeGen/GlobalISel/RegisterBankInfo.cpp    |    2 +-
 .../llvm/lib/CodeGen/GlobalISel/Utils.cpp          |   27 +-
 .../llvm-project/llvm/lib/CodeGen/GlobalMerge.cpp  |    6 +-
 .../llvm/lib/CodeGen/IndirectBrExpandPass.cpp      |   10 +-
 .../llvm/lib/CodeGen/InlineSpiller.cpp             |    8 +-
 .../llvm/lib/CodeGen/LatencyPriorityQueue.cpp      |    6 +-
 .../CodeGen/LiveDebugValues/InstrRefBasedImpl.cpp  |   70 +-
 .../CodeGen/LiveDebugValues/InstrRefBasedImpl.h    |   63 +-
 .../llvm/lib/CodeGen/LiveDebugVariables.cpp        |   51 +-
 .../llvm/lib/CodeGen/LiveRangeEdit.cpp             |   14 +-
 .../llvm-project/llvm/lib/CodeGen/LiveRangeUtils.h |    2 +-
 .../llvm/lib/CodeGen/LiveVariables.cpp             |   10 +-
 .../llvm/lib/CodeGen/LocalStackSlotAllocation.cpp  |    8 +-
 .../llvm/lib/CodeGen/MIRSampleProfile.cpp          |    2 +
 .../llvm/lib/CodeGen/MachineFunction.cpp           |   21 +-
 .../llvm-project/llvm/lib/CodeGen/MachineInstr.cpp |    6 +-
 .../llvm/lib/CodeGen/MachineOperand.cpp            |    4 +-
 .../llvm/lib/CodeGen/MachineOutliner.cpp           |   17 +-
 .../llvm/lib/CodeGen/MachinePipeliner.cpp          |   24 +-
 .../llvm-project/llvm/lib/CodeGen/MachineSink.cpp  |   12 +-
 .../llvm/lib/CodeGen/MachineVerifier.cpp           |   24 +-
 .../llvm/lib/CodeGen/ModuloSchedule.cpp            |    6 +-
 .../llvm/lib/CodeGen/PrologEpilogInserter.cpp      |   13 +-
 .../llvm-project/llvm/lib/CodeGen/RegAllocFast.cpp |    9 +-
 .../llvm/lib/CodeGen/RegAllocGreedy.cpp            |  119 +-
 .../llvm/lib/CodeGen/RegisterCoalescer.cpp         |   12 +-
 .../llvm/lib/CodeGen/ScheduleDAGInstrs.cpp         |    5 +-
 .../llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp  |  131 +-
 .../llvm/lib/CodeGen/SelectionDAG/InstrEmitter.cpp |    9 +-
 .../llvm/lib/CodeGen/SelectionDAG/LegalizeDAG.cpp  |    7 +-
 .../lib/CodeGen/SelectionDAG/LegalizeTypes.cpp     |    5 +-
 .../CodeGen/SelectionDAG/LegalizeVectorTypes.cpp   |   21 +-
 .../CodeGen/SelectionDAG/ResourcePriorityQueue.cpp |    4 +-
 .../CodeGen/SelectionDAG/ScheduleDAGSDNodes.cpp    |    4 +-
 .../llvm/lib/CodeGen/SelectionDAG/SelectionDAG.cpp |   50 +-
 .../CodeGen/SelectionDAG/SelectionDAGBuilder.cpp   |  109 +-
 .../lib/CodeGen/SelectionDAG/TargetLowering.cpp    |  102 +-
 .../llvm/lib/CodeGen/StackSlotColoring.cpp         |    6 +-
 .../llvm/lib/CodeGen/TailDuplicator.cpp            |   29 -
 .../llvm/lib/CodeGen/TargetFrameLoweringImpl.cpp   |   10 +
 .../llvm/lib/CodeGen/TargetInstrInfo.cpp           |   21 +-
 .../lib/CodeGen/TargetLoweringObjectFileImpl.cpp   |    4 +-
 .../llvm/lib/CodeGen/TwoAddressInstructionPass.cpp |   35 +-
 .../llvm/lib/DebugInfo/DWARF/DWARFVerifier.cpp     |   80 +-
 .../llvm/lib/Demangle/DLangDemangle.cpp            |  253 +-
 .../llvm/lib/ExecutionEngine/ExecutionEngine.cpp   |    3 +-
 .../ExecutionEngine/JITLink/ELFLinkGraphBuilder.h  |   40 +-
 .../llvm/lib/ExecutionEngine/Orc/Core.cpp          |  234 +-
 .../ExecutionEngine/RuntimeDyld/RuntimeDyldELF.cpp |    2 +-
 .../llvm/lib/Frontend/OpenMP/OMPIRBuilder.cpp      |    2 +
 contrib/llvm-project/llvm/lib/IR/AsmWriter.cpp     |   26 +-
 contrib/llvm-project/llvm/lib/IR/Core.cpp          |    8 +
 contrib/llvm-project/llvm/lib/IR/DIBuilder.cpp     |   15 +-
 contrib/llvm-project/llvm/lib/IR/Instructions.cpp  |    2 +-
 contrib/llvm-project/llvm/lib/IR/IntrinsicInst.cpp |   67 +-
 contrib/llvm-project/llvm/lib/IR/Operator.cpp      |   21 +
 .../llvm-project/llvm/lib/IR/PassTimingInfo.cpp    |    2 +-
 .../llvm/lib/IR/SafepointIRVerifier.cpp            |    6 +-
 contrib/llvm-project/llvm/lib/IR/Verifier.cpp      |   31 +-
 .../llvm/lib/InterfaceStub/ELFObjHandler.cpp       |    2 +-
 contrib/llvm-project/llvm/lib/MC/MCAsmStreamer.cpp |    6 +-
 contrib/llvm-project/llvm/lib/MC/MCELFStreamer.cpp |    3 -
 .../llvm/lib/MC/MCParser/ELFAsmParser.cpp          |    8 +-
 .../llvm/lib/MC/WinCOFFObjectWriter.cpp            |   48 +-
 contrib/llvm-project/llvm/lib/MCA/InstrBuilder.cpp |    2 +-
 .../llvm/lib/MCA/Stages/ExecuteStage.cpp           |    2 +-
 .../llvm-project/llvm/lib/Object/ELFObjectFile.cpp |    4 +-
 .../llvm/lib/ObjectYAML/COFFEmitter.cpp            |   32 +-
 .../llvm-project/llvm/lib/ObjectYAML/ELFYAML.cpp   |    4 +
 .../llvm/lib/ObjectYAML/MachOEmitter.cpp           |   13 +
 .../llvm-project/llvm/lib/ObjectYAML/MachOYAML.cpp |    1 +
 contrib/llvm-project/llvm/lib/Option/OptTable.cpp  |    7 +-
 .../llvm/lib/Passes/PassBuilderPipelines.cpp       |    2 +
 .../llvm/lib/Passes/StandardInstrumentations.cpp   |    4 +-
 .../ProfileData/Coverage/CoverageMappingReader.cpp |    1 -
 .../llvm/lib/ProfileData/InstrProf.cpp             |   11 +-
 .../llvm/lib/ProfileData/InstrProfReader.cpp       |    2 -
 .../lib/ProfileData/RawMemProfReader.cpp (new)     |  121 +
 .../llvm/lib/ProfileData/SampleProfReader.cpp      |    2 +-
 .../llvm/lib/Support/AArch64TargetParser.cpp       |   50 +-
 .../llvm/lib/Support/ARMAttributeParser.cpp        |   26 +
 .../llvm/lib/Support/ARMBuildAttrs.cpp             |    4 +
 .../llvm-project/llvm/lib/Support/CommandLine.cpp  |   16 +-
 .../llvm/lib/Support/HTTPClient.cpp (new)          |   97 +
 .../llvm-project/llvm/lib/Support/KnownBits.cpp    |    9 +-
 contrib/llvm-project/llvm/lib/Support/Regex.cpp    |    6 +-
 .../llvm-project/llvm/lib/Support/StringExtras.cpp |    3 +-
 .../llvm-project/llvm/lib/Support/StringRef.cpp    |   16 +-
 .../llvm-project/llvm/lib/Support/TargetParser.cpp |   48 +
 .../llvm-project/llvm/lib/Support/ThreadPool.cpp   |   29 +-
 contrib/llvm-project/llvm/lib/TableGen/TGLexer.cpp |    8 +-
 .../llvm/lib/Target/AArch64/AArch64AsmPrinter.cpp  |   13 +-
 .../lib/Target/AArch64/AArch64CondBrTuning.cpp     |    9 +-
 .../Target/AArch64/AArch64ExpandPseudoInsts.cpp    |   10 +-
 .../lib/Target/AArch64/AArch64ISelLowering.cpp     |  297 +-
 .../llvm/lib/Target/AArch64/AArch64ISelLowering.h  |    6 +
 .../llvm/lib/Target/AArch64/AArch64InstrInfo.td    |   16 +
 .../llvm/lib/Target/AArch64/AArch64SVEInstrInfo.td |   11 +-
 .../Target/AArch64/AArch64TargetTransformInfo.cpp  |   10 +-
 .../AArch64/GISel/AArch64InstructionSelector.cpp   |   57 +-
 .../AArch64/MCTargetDesc/AArch64ELFStreamer.cpp    |    4 +-
 .../AArch64/MCTargetDesc/AArch64TargetStreamer.cpp |    4 +-
 .../llvm/lib/Target/AMDGPU/AMDGPUCombine.td        |   11 +-
 .../llvm/lib/Target/AMDGPU/AMDGPUISelDAGToDAG.cpp  |   41 +
 .../llvm/lib/Target/AMDGPU/AMDGPUISelDAGToDAG.h    |    5 +
 .../llvm/lib/Target/AMDGPU/AMDGPUISelLowering.cpp  |   49 +
 .../llvm/lib/Target/AMDGPU/AMDGPUISelLowering.h    |    1 +
 .../Target/AMDGPU/AMDGPUInstructionSelector.cpp    |   16 +
 .../lib/Target/AMDGPU/AMDGPUInstructionSelector.h  |    4 +
 .../llvm/lib/Target/AMDGPU/AMDGPUInstructions.td   |   29 +-
 .../Target/AMDGPU/AMDGPUPostLegalizerCombiner.cpp  |   46 +
 .../Target/AMDGPU/AMDGPUPrintfRuntimeBinding.cpp   |    6 +-
 .../lib/Target/AMDGPU/AMDGPURegBankCombiner.cpp    |   22 +-
 .../lib/Target/AMDGPU/AMDGPURegisterBankInfo.cpp   |   12 +-
 .../lib/Target/AMDGPU/AMDILCFGStructurizer.cpp     |   17 +-
 .../llvm/lib/Target/AMDGPU/CaymanInstructions.td   |    2 -
 .../lib/Target/AMDGPU/EvergreenInstructions.td     |    1 -
 .../llvm/lib/Target/AMDGPU/GCNHazardRecognizer.cpp |   23 +-
 .../llvm/lib/Target/AMDGPU/GCNRegPressure.cpp      |   10 +-
 .../llvm/lib/Target/AMDGPU/R600ClauseMergePass.cpp |    4 +-
 .../lib/Target/AMDGPU/R600EmitClauseMarkers.cpp    |    4 +-
 .../lib/Target/AMDGPU/R600ExpandSpecialInstrs.cpp  |    4 +-
 .../llvm/lib/Target/AMDGPU/R600ISelLowering.cpp    |    5 +-
 .../llvm/lib/Target/AMDGPU/R600Instructions.td     |    1 -
 .../lib/Target/AMDGPU/R600MachineScheduler.cpp     |    4 +-
 .../Target/AMDGPU/R600OptimizeVectorRegisters.cpp  |    6 +-
 .../llvm/lib/Target/AMDGPU/R600Packetizer.cpp      |   19 +-
 .../llvm/lib/Target/AMDGPU/SIDefines.h             |    3 +-
 .../llvm/lib/Target/AMDGPU/SIFixSGPRCopies.cpp     |   10 +-
 .../llvm/lib/Target/AMDGPU/SIFoldOperands.cpp      |   12 +-
 .../llvm/lib/Target/AMDGPU/SIFrameLowering.cpp     |   28 +
 .../llvm/lib/Target/AMDGPU/SIFrameLowering.h       |    3 +
 .../llvm/lib/Target/AMDGPU/SIISelLowering.cpp      |   80 +-
 .../llvm/lib/Target/AMDGPU/SIISelLowering.h        |    8 +
 .../llvm/lib/Target/AMDGPU/SIInsertWaitcnts.cpp    |    9 +-
 .../llvm/lib/Target/AMDGPU/SIInstrInfo.cpp         |   67 +-
 .../llvm/lib/Target/AMDGPU/SIInstrInfo.td          |    2 +-
 .../llvm/lib/Target/AMDGPU/SIInstructions.td       |  176 +-
 .../lib/Target/AMDGPU/SILoadStoreOptimizer.cpp     |    2 +-
 .../llvm/lib/Target/AMDGPU/SIMemoryLegalizer.cpp   |   38 +-
 .../llvm/lib/Target/AMDGPU/SIPeepholeSDWA.cpp      |    2 +-
 .../llvm/lib/Target/AMDGPU/SIPreEmitPeephole.cpp   |   11 +-
 .../llvm/lib/Target/AMDGPU/SIRegisterInfo.cpp      |  155 +-
 .../llvm/lib/Target/AMDGPU/SIRegisterInfo.h        |   29 +-
 .../llvm/lib/Target/AMDGPU/SIRegisterInfo.td       |  135 +-
 .../llvm/lib/Target/AMDGPU/SISchedule.td           |    6 +-
 .../llvm/lib/Target/AMDGPU/SIWholeQuadMode.cpp     |   10 +-
 .../lib/Target/AMDGPU/Utils/AMDGPUBaseInfo.cpp     |   16 +-
 .../llvm/lib/Target/ARC/ARCMCInstLower.cpp         |    3 +-
 contrib/llvm-project/llvm/lib/Target/ARM/ARM.h     |    2 +
 contrib/llvm-project/llvm/lib/Target/ARM/ARM.td    |    4 +
 .../llvm/lib/Target/ARM/ARMAsmPrinter.cpp          |   48 +-
 .../llvm/lib/Target/ARM/ARMBaseInstrInfo.cpp       |  126 +-
 .../llvm/lib/Target/ARM/ARMBaseInstrInfo.h         |   24 +-
 .../llvm/lib/Target/ARM/ARMBranchTargets.cpp (new) |  135 +
 .../llvm/lib/Target/ARM/ARMConstantIslandPass.cpp  |   92 +-
 .../llvm/lib/Target/ARM/ARMExpandPseudoInsts.cpp   |   24 +-
 .../llvm/lib/Target/ARM/ARMFrameLowering.cpp       |   20 +-
 .../llvm/lib/Target/ARM/ARMISelDAGToDAG.cpp        |    5 +-
 .../llvm/lib/Target/ARM/ARMISelLowering.cpp        |  206 +-
 .../llvm/lib/Target/ARM/ARMISelLowering.h          |    2 +
 .../llvm/lib/Target/ARM/ARMInstrFormats.td         |   29 +-
 .../llvm/lib/Target/ARM/ARMInstrInfo.td            |    8 +
 .../llvm/lib/Target/ARM/ARMInstrMVE.td             |   60 +-
 .../llvm/lib/Target/ARM/ARMInstrThumb.td           |    2 +
 .../llvm/lib/Target/ARM/ARMInstrThumb2.td          |  138 +-
 .../llvm/lib/Target/ARM/ARMLoadStoreOptimizer.cpp  |   20 +-
 .../llvm/lib/Target/ARM/ARMMachineFunctionInfo.cpp |   57 +-
 .../llvm/lib/Target/ARM/ARMMachineFunctionInfo.h   |   25 +
 .../llvm/lib/Target/ARM/ARMPredicates.td           |    2 +
 .../llvm/lib/Target/ARM/ARMRegisterInfo.td         |   10 +
 .../llvm/lib/Target/ARM/ARMSubtarget.h             |    3 +
 .../llvm/lib/Target/ARM/ARMSystemRegister.td       |   18 +
 .../llvm/lib/Target/ARM/ARMTargetMachine.cpp       |    2 +
 .../llvm/lib/Target/ARM/ARMTargetTransformInfo.cpp |   33 +-
 .../llvm/lib/Target/ARM/AsmParser/ARMAsmParser.cpp |   17 +-
 .../Target/ARM/Disassembler/ARMDisassembler.cpp    |   67 +-
 .../llvm/lib/Target/ARM/MCTargetDesc/ARMBaseInfo.h |   24 +-
 .../Target/ARM/MCTargetDesc/ARMTargetStreamer.cpp  |    5 +
 .../llvm/lib/Target/ARM/Thumb1FrameLowering.cpp    |   13 +-
 .../llvm/lib/Target/ARM/Thumb2InstrInfo.cpp        |    5 +-
 .../llvm/lib/Target/ARM/Thumb2SizeReduction.cpp    |   12 +-
 .../llvm/lib/Target/BPF/BPFMCInstLower.cpp         |    4 +-
 .../llvm/lib/Target/Hexagon/BitTracker.cpp         |    7 +-
 .../llvm/lib/Target/Hexagon/HexagonBitTracker.cpp  |    2 +-
 .../llvm/lib/Target/Hexagon/HexagonCommonGEP.cpp   |   18 +-
 .../lib/Target/Hexagon/HexagonConstExtenders.cpp   |    2 +-
 .../lib/Target/Hexagon/HexagonCopyToCombine.cpp    |   23 +-
 .../lib/Target/Hexagon/HexagonFrameLowering.cpp    |   30 +-
 .../llvm/lib/Target/Hexagon/HexagonGenInsert.cpp   |   31 +-
 .../llvm/lib/Target/Hexagon/HexagonGenMux.cpp      |    2 +-
 .../lib/Target/Hexagon/HexagonGenPredicate.cpp     |   23 +-
 .../lib/Target/Hexagon/HexagonHardwareLoops.cpp    |   22 +-
 .../lib/Target/Hexagon/HexagonISelDAGToDAGHVX.cpp  |    8 +-
 .../lib/Target/Hexagon/HexagonISelLowering.cpp     |    9 +-
 .../lib/Target/Hexagon/HexagonISelLoweringHVX.cpp  |   11 +-
 .../llvm/lib/Target/Hexagon/HexagonInstrInfo.cpp   |    7 +-
 .../llvm/lib/Target/Hexagon/HexagonMCInstLower.cpp |    3 +-
 .../llvm/lib/Target/Hexagon/HexagonPeephole.cpp    |   18 +-
 .../lib/Target/Hexagon/HexagonStoreWidening.cpp    |    3 +-
 .../llvm/lib/Target/Hexagon/HexagonSubtarget.cpp   |    3 +-
 .../lib/Target/Hexagon/HexagonVectorCombine.cpp    |    1 -
 .../llvm/lib/Target/Lanai/LanaiDelaySlotFiller.cpp |    8 +-
 .../llvm/lib/Target/Lanai/LanaiFrameLowering.cpp   |    9 +-
 .../llvm/lib/Target/Lanai/LanaiInstrInfo.cpp       |    3 +-
 .../llvm/lib/Target/Lanai/LanaiMCInstLower.cpp     |    4 +-
 .../llvm/lib/Target/MSP430/MSP430FrameLowering.cpp |    4 +-
 .../llvm/lib/Target/MSP430/MSP430MCInstLower.cpp   |    4 +-
 .../llvm/lib/Target/Mips/Mips16FrameLowering.cpp   |   11 +-
 .../llvm/lib/Target/Mips/MipsAsmPrinter.cpp        |    5 +-
 .../lib/Target/Mips/MipsConstantIslandPass.cpp     |   36 +-
 .../llvm/lib/Target/Mips/MipsDelaySlotFiller.cpp   |    5 +-
 .../llvm/lib/Target/Mips/MipsExpandPseudo.cpp      |    5 +-
 .../llvm/lib/Target/Mips/MipsFrameLowering.h       |    5 +-
 .../llvm/lib/Target/Mips/MipsMCInstLower.cpp       |    3 +-
 .../llvm/lib/Target/Mips/MipsSEFrameLowering.cpp   |   14 +-
 .../llvm/lib/Target/Mips/MipsSEISelLowering.cpp    |    4 +-
 .../llvm/lib/Target/NVPTX/NVPTXAsmPrinter.cpp      |   54 +-
 .../llvm/lib/Target/NVPTX/NVPTXAsmPrinter.h        |    5 +
 .../Target/NVPTX/NVPTXAssignValidGlobalNames.cpp   |    3 +-
 .../lib/Target/NVPTX/NVPTXReplaceImageHandles.cpp  |   15 +-
 .../llvm/lib/Target/PowerPC/P10InstrResources.td   |    5 +-
 .../llvm/lib/Target/PowerPC/P9InstrResources.td    |    6 +-
 .../llvm-project/llvm/lib/Target/PowerPC/PPC.td    |   18 +-
 .../llvm/lib/Target/PowerPC/PPCAsmPrinter.cpp      |   11 +-
 .../llvm/lib/Target/PowerPC/PPCBranchSelector.cpp  |   30 +-
 .../llvm/lib/Target/PowerPC/PPCCTRLoops.cpp        |   15 +-
 .../Target/PowerPC/PPCExpandAtomicPseudoInsts.cpp  |    3 +-
 .../llvm/lib/Target/PowerPC/PPCFrameLowering.cpp   |   41 +-
 .../llvm/lib/Target/PowerPC/PPCISelDAGToDAG.cpp    |  150 +-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.cpp    |   34 +-
 .../llvm/lib/Target/PowerPC/PPCISelLowering.h      |    4 +
 .../llvm/lib/Target/PowerPC/PPCInstr64Bit.td       |   12 +
 .../llvm/lib/Target/PowerPC/PPCInstrAltivec.td     |   39 +-
 .../llvm/lib/Target/PowerPC/PPCInstrInfo.cpp       |    8 +-
 .../llvm/lib/Target/PowerPC/PPCInstrVSX.td         |    5 +
 .../llvm/lib/Target/PowerPC/PPCMCInstLower.cpp     |    4 +-
 .../llvm/lib/Target/PowerPC/PPCMacroFusion.cpp     |   73 +
 .../llvm/lib/Target/PowerPC/PPCMacroFusion.def     |   75 +
 .../llvm/lib/Target/PowerPC/PPCSubtarget.cpp       |    4 +
 .../llvm/lib/Target/PowerPC/PPCSubtarget.h         |    8 +
 .../lib/Target/PowerPC/PPCTargetTransformInfo.cpp  |   91 +-
 .../lib/Target/PowerPC/PPCTargetTransformInfo.h    |    4 +-
 .../Target/RISCV/MCTargetDesc/RISCVInstPrinter.cpp |    8 +
 .../llvm/lib/Target/RISCV/RISCVFrameLowering.cpp   |   16 +-
 .../llvm/lib/Target/RISCV/RISCVISelLowering.cpp    |  137 +-
 .../llvm/lib/Target/RISCV/RISCVISelLowering.h      |    2 +
 .../llvm/lib/Target/RISCV/RISCVInstrInfo.td        |    1 +
 .../llvm/lib/Target/RISCV/RISCVRegisterInfo.cpp    |   28 +
 .../llvm/lib/Target/RISCV/RISCVRegisterInfo.h      |    3 +
 .../llvm/lib/Target/RISCV/RISCVRegisterInfo.td     |    2 +
 .../llvm/lib/Target/RISCV/RISCVSystemOperands.td   |    2 +-
 .../llvm/lib/Target/Sparc/DelaySlotFiller.cpp      |    8 +-
 .../llvm/lib/Target/Sparc/LeonPasses.cpp           |   12 +-
 .../llvm/lib/Target/Sparc/SparcFrameLowering.cpp   |   15 +-
 .../llvm/lib/Target/Sparc/SparcMCInstLower.cpp     |    3 +-
 .../llvm/lib/Target/SystemZ/SystemZElimCompare.cpp |    3 +-
 .../lib/Target/SystemZ/SystemZFrameLowering.cpp    |   36 +-
 .../llvm/lib/Target/SystemZ/SystemZFrameLowering.h |   14 +-
 .../llvm/lib/Target/SystemZ/SystemZInstrInfo.cpp   |    4 +-
 .../llvm/lib/Target/SystemZ/SystemZMCInstLower.cpp |    4 +-
 .../lib/Target/VE/MCTargetDesc/VEInstPrinter.cpp   |   19 +-
 .../llvm/lib/Target/VE/VEInstrInfo.cpp             |    3 +-
 .../WebAssembly/WebAssemblyTargetMachine.cpp       |    6 +-
 .../lib/Target/X86/MCTargetDesc/X86AsmBackend.cpp  |    6 +-
 .../llvm/lib/Target/X86/X86DomainReassignment.cpp  |    4 +-
 .../llvm/lib/Target/X86/X86DynAllocaExpander.cpp   |    8 +-
 .../llvm/lib/Target/X86/X86ExpandPseudo.cpp        |    4 +-
 .../llvm/lib/Target/X86/X86FixupLEAs.cpp           |    7 +-
 .../llvm/lib/Target/X86/X86FloatingPoint.cpp       |    7 +-
 .../llvm/lib/Target/X86/X86FrameLowering.cpp       |   66 +-
 .../llvm/lib/Target/X86/X86FrameLowering.h         |   19 +-
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        |  126 +-
 .../llvm/lib/Target/X86/X86InstrAVX512.td          |    4 +-
 .../llvm/lib/Target/X86/X86InstrInfo.cpp           |    7 +-
 .../llvm/lib/Target/X86/X86RegisterBanks.td        |    2 +-
 .../llvm/lib/Target/X86/X86TargetTransformInfo.cpp |  251 +-
 .../llvm/lib/Target/XCore/XCoreFrameLowering.cpp   |    8 +-
 .../Target/XCore/XCoreFrameToArgsOffsetElim.cpp    |    4 +-
 .../llvm/lib/Target/XCore/XCoreMCInstLower.cpp     |    3 +-
 .../llvm/lib/Transforms/IPO/GlobalOpt.cpp          |  132 +-
 .../llvm/lib/Transforms/IPO/OpenMPOpt.cpp          |   37 +-
 .../llvm/lib/Transforms/IPO/PartialInlining.cpp    |    3 +-
 .../llvm/lib/Transforms/IPO/SampleProfile.cpp      |   41 +-
 .../Transforms/InstCombine/InstCombineAndOrXor.cpp |   90 +-
 .../Transforms/InstCombine/InstCombineCalls.cpp    |    2 +-
 .../Transforms/InstCombine/InstCombineCasts.cpp    |    2 +-
 .../Transforms/InstCombine/InstCombineCompares.cpp |   69 +-
 .../Transforms/InstCombine/InstCombineInternal.h   |    1 +
 .../Transforms/InstCombine/InstCombineNegator.cpp  |    2 +-
 .../Transforms/InstCombine/InstCombineSelect.cpp   |    4 +
 .../InstCombine/InstructionCombining.cpp           |   23 +
 .../Instrumentation/AddressSanitizer.cpp           |    3 +-
 .../Instrumentation/HWAddressSanitizer.cpp         |    4 +-
 .../Transforms/Instrumentation/InstrProfiling.cpp  |   66 +-
 .../Transforms/Instrumentation/ThreadSanitizer.cpp |    2 +-
 .../lib/Transforms/ObjCARC/DependencyAnalysis.cpp  |    4 +-
 .../Scalar/CorrelatedValuePropagation.cpp          |   54 +-
 .../lib/Transforms/Scalar/DeadStoreElimination.cpp |  127 +-
 .../llvm/lib/Transforms/Scalar/IndVarSimplify.cpp  |    3 +-
 .../llvm/lib/Transforms/Scalar/LICM.cpp            |   67 +-
 .../llvm/lib/Transforms/Scalar/LoopPassManager.cpp |   14 +-
 .../llvm/lib/Transforms/Scalar/LoopSimplifyCFG.cpp |    5 +-
 .../llvm/lib/Transforms/Scalar/LoopUnrollPass.cpp  |  189 +-
 .../llvm/lib/Transforms/Scalar/Reassociate.cpp     |    9 +-
 .../llvm/lib/Transforms/Scalar/SimplifyCFGPass.cpp |    3 +-
 .../llvm/lib/Transforms/Utils/BasicBlockUtils.cpp  |   71 +-
 .../llvm/lib/Transforms/Utils/BuildLibCalls.cpp    |   18 +-
 .../llvm/lib/Transforms/Utils/CloneModule.cpp      |   12 +-
 .../llvm/lib/Transforms/Utils/GuardUtils.cpp       |    2 +-
 .../llvm/lib/Transforms/Utils/InlineFunction.cpp   |    7 +-
 .../llvm/lib/Transforms/Utils/Local.cpp            |   57 +-
 .../lib/Transforms/Utils/LoopUnrollRuntime.cpp     |    6 +-
 .../llvm/lib/Transforms/Utils/LoopUtils.cpp        |    4 +-
 .../llvm/lib/Transforms/Utils/SSAUpdater.cpp       |    3 +
 .../Utils/SampleProfileInference.cpp (new)         |  462 ++
 .../Utils/SampleProfileLoaderBaseUtil.cpp          |    4 +
 .../Transforms/Utils/ScalarEvolutionExpander.cpp   |   68 +-
 .../llvm/lib/Transforms/Utils/SimplifyCFG.cpp      |   52 +-
 .../lib/Transforms/Vectorize/LoopVectorize.cpp     |  980 ++--
 .../lib/Transforms/Vectorize/SLPVectorizer.cpp     |  612 ++-
 .../llvm/lib/Transforms/Vectorize/VPlan.cpp        |   20 +-
 .../llvm/lib/Transforms/Vectorize/VPlan.h          |   23 +-
 .../llvm/tools/llvm-cov/CodeCoverage.cpp           |   42 +-
 .../llvm/tools/llvm-cov/CoverageFilters.cpp        |    7 +
 .../llvm/tools/llvm-cov/CoverageFilters.h          |   14 +-
 .../llvm/tools/llvm-diff/lib/DifferenceEngine.cpp  |   26 +-
 .../llvm/tools/llvm-dwarfdump/Statistics.cpp       |  139 +-
 .../llvm/tools/llvm-profdata/llvm-profdata.cpp     |   24 +-
 .../llvm/tools/llvm-readobj/ELFDumper.cpp          |   13 +
 .../tools/llvm-tli-checker/llvm-tli-checker.cpp    |   71 +-
 .../llvm/utils/TableGen/AsmWriterInst.cpp          |    3 +-
 .../llvm/utils/TableGen/CodeGenTarget.cpp          |   11 +-
 etc/mtree/BSD.include.dist                         |    2 +
 lib/clang/include/VCSVersion.inc                   |    8 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |    2 +-
 lib/clang/libclang/Makefile                        |    1 +
 lib/clang/liblldb/LLDBWrapLua.cpp                  |  104 +
 lib/clang/libllvm/Makefile                         |    3 +
 lib/libc++/Makefile                                |   61 +-
 tools/build/mk/OptionalObsoleteFiles.inc           |   61 +-
 751 files changed, 23662 insertions(+), 13601 deletions(-)
Comment 38 commit-hook freebsd_committer 2022-05-14 11:51:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=5e801ac66d24704442eba426ed13c3effb8a34e7

commit 5e801ac66d24704442eba426ed13c3effb8a34e7
Merge: 349cc55c9796 846a2208a8ab
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-11-20 17:39:12 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2022-05-14 11:43:32 +0000

    Merge llvm-project main llvmorg-14-init-10223-g401b76fdf2b3

    This updates llvm, clang, compiler-rt, libc++, libunwind, lld, lldb and
    openmp to llvmorg-14-init-10223-g401b76fdf2b3.

    PR:             261742
    MFC after:      2 weeks

 ObsoleteFiles.inc                                  |  301 ++
 contrib/llvm-project/FREEBSD-Xlist                 |   23 +-
 .../clang/include/clang/AST/Redeclarable.h         |    3 +-
 .../llvm-project/clang/include/clang/AST/Type.h    |    6 +-
 .../clang/include/clang/Analysis/CFG.h             |    2 +-
 .../llvm-project/clang/include/clang/Basic/Attr.td |    1 +
 .../clang/include/clang/CodeGen/CGFunctionInfo.h   |    2 +-
 .../llvm-project/clang/include/clang/Sema/Lookup.h |    7 +-
 contrib/llvm-project/clang/lib/AST/ASTContext.cpp  |    3 +
 .../llvm-project/clang/lib/Analysis/BodyFarm.cpp   |    5 +-
 .../clang/lib/Analysis/RetainSummaryManager.cpp    |    2 +-
 .../llvm-project/clang/lib/Basic/DiagnosticIDs.cpp |    2 +-
 .../llvm-project/clang/lib/Basic/SourceManager.cpp |   11 +-
 .../clang/lib/Driver/ToolChains/Clang.cpp          |    1 -
 contrib/llvm-project/clang/lib/Format/Format.cpp   |    2 +-
 .../clang/lib/Frontend/FrontendActions.cpp         |    2 +-
 .../llvm-project/clang/lib/Sema/SemaChecking.cpp   |    7 +-
 contrib/llvm-project/clang/lib/Sema/SemaDecl.cpp   |    8 +-
 .../llvm-project/clang/lib/Sema/SemaDeclCXX.cpp    |    5 +-
 contrib/llvm-project/clang/lib/Sema/SemaExpr.cpp   |    1 -
 .../llvm-project/clang/lib/Sema/SemaExprCXX.cpp    |    5 +-
 contrib/llvm-project/clang/lib/Sema/SemaLookup.cpp |    4 +-
 .../lib/StaticAnalyzer/Checkers/CStringChecker.cpp |    6 +-
 .../lib/StaticAnalyzer/Checkers/MIGChecker.cpp     |    2 +-
 .../Checkers/StdLibraryFunctionsChecker.cpp        |    6 +-
 .../lib/StaticAnalyzer/Checkers/UnixAPIChecker.cpp |    5 +-
 .../StaticAnalyzer/Core/BugReporterVisitors.cpp    |    7 +-
 .../clang/lib/StaticAnalyzer/Core/ExprEngine.cpp   |    4 +-
 .../clang/lib/StaticAnalyzer/Core/Store.cpp        |    2 +-
 .../llvm-project/clang/lib/Tooling/Syntax/Tree.cpp |    2 +-
 .../ClangNvlinkWrapper.cpp (gone)                  |  196 --
 .../libcxx/include/__algorithm/binary_search.h     |    2 +-
 .../libcxx/include/__algorithm/is_heap.h           |    4 +-
 .../libcxx/include/__algorithm/is_heap_until.h     |   21 +-
 .../libcxx/include/__algorithm/is_sorted.h         |    4 +-
 .../libcxx/include/__algorithm/is_sorted_until.h   |   19 +-
 .../llvm-project/libcxx/include/__algorithm/max.h  |    4 +-
 .../libcxx/include/__algorithm/max_element.h       |   21 +-
 .../llvm-project/libcxx/include/__algorithm/min.h  |    4 +-
 .../libcxx/include/__algorithm/min_element.h       |   21 +-
 contrib/llvm-project/libcxx/include/version        |    2 +-
 .../llvm/ExecutionEngine/JITLink/JITLinkDylib.h    |   13 +-
 .../llvm/include/llvm/ExecutionEngine/Orc/Core.h   |   10 +-
 .../llvm/lib/DebugInfo/DWARF/DWARFVerifier.cpp     |    8 +-
 .../llvm/lib/ExecutionEngine/Orc/Core.cpp          |    4 +-
 .../Target/AMDGPU/MCTargetDesc/AMDGPUMCAsmInfo.cpp |    1 -
 .../llvm/lib/Target/ARM/Thumb2SizeReduction.cpp    |    2 +-
 .../lib/Target/Hexagon/HexagonMachineScheduler.cpp |    2 +-
 .../llvm/lib/Target/X86/X86ISelLowering.cpp        |    6 +-
 .../Transforms/Instrumentation/InstrProfiling.cpp  |    2 +-
 .../llvm/lib/Transforms/Utils/CloneModule.cpp      |   72 +-
 .../llvm/lib/Transforms/Utils/Evaluator.cpp        |    5 +-
 .../llvm/lib/Transforms/Utils/LoopSimplify.cpp     |   13 +-
 .../llvm/lib/Transforms/Utils/LoopUtils.cpp        |   12 +-
 .../llvm/lib/Transforms/Utils/MetaRenamer.cpp      |    6 +-
 .../llvm/lib/Transforms/Utils/VNCoercion.cpp       |   14 +-
 etc/mtree/BSD.debug.dist                           |    2 +-
 etc/mtree/BSD.include.dist                         |   12 +
 etc/mtree/BSD.usr.dist                             |    2 +-
 lib/clang/freebsd_cc_version.h                     |    2 +-
 lib/clang/headers/Makefile                         |    6 +-
 lib/clang/include/VCSVersion.inc                   |   14 +-
 lib/clang/include/clang/Basic/Version.inc          |    6 +-
 lib/clang/include/clang/Config/config.h            |    2 +-
 lib/clang/include/lld/Common/Version.inc           |    2 +-
 lib/clang/include/lldb/Host/Config.h               |    5 -
 lib/clang/include/llvm/Config/TargetMCAs.def (new) |    7 +
 lib/clang/include/llvm/Config/config.h             |   18 +-
 lib/clang/include/llvm/Config/llvm-config.h        |   15 +-
 lib/clang/include/llvm/Support/VCSRevision.h       |    4 +-
 lib/clang/libclang/Makefile                        |    4 +-
 lib/clang/liblldb/LLDBWrapLua.cpp                  | 3243 ++++++++++++--------
 lib/clang/liblldb/Makefile                         |    9 +-
 lib/clang/libllvm/Makefile                         |   46 +-
 lib/libc++/Makefile                                |  104 +-
 lib/libc++/__config_site                           |    5 +-
 lib/libclang_rt/asan/Makefile                      |    2 +-
 lib/libclang_rt/asan_dynamic/Makefile              |    2 +-
 lib/libclang_rt/cfi/Makefile                       |    1 -
 lib/libclang_rt/cfi_diag/Makefile                  |    2 +-
 lib/libclang_rt/compiler-rt-vars.mk                |    2 +-
 lib/libclang_rt/dd/Makefile                        |    1 -
 lib/libclang_rt/msan/Makefile                      |    2 +-
 lib/libclang_rt/stats/Makefile                     |    2 +-
 lib/libclang_rt/tsan/Makefile                      |    4 +-
 lib/libclang_rt/ubsan_standalone/Makefile          |    2 +-
 lib/libclang_rt/xray/Makefile                      |    1 -
 lib/libomp/kmp_config.h                            |   15 +
 lib/libomp/kmp_i18n_default.inc                    |    8 +-
 lib/libomp/kmp_i18n_id.inc                         |    6 +-
 lib/libomp/omp.h                                   |   11 +-
 tools/build/mk/OptionalObsoleteFiles.inc           |  666 ++--
 usr.bin/clang/llvm-diff/Makefile                   |    6 +-
 usr.bin/clang/llvm-mca/Makefile                    |    1 -
 usr.bin/clang/llvm-tblgen/Makefile                 |    2 +-
 95 files changed, 3048 insertions(+), 2101 deletions(-)